// AbstractBillboard.h: interface for the AbstractBillboard class.
//
//////////////////////////////////////////////////////////////////////

#if !defined(AFX_ABSTRACTBILLBOARD_H__AA3B73DB_B6C9_495F_8901_93203676D8AD__INCLUDED_)
#define AFX_ABSTRACTBILLBOARD_H__AA3B73DB_B6C9_495F_8901_93203676D8AD__INCLUDED_

#if _MSC_VER >= 1000
#pragma once
#endif // _MSC_VER >= 1000

#include <GL/glew.h>
#include "Object3d.h"
#include "coord.h"

class Texture;

class AbstractBillboard : public Object3d  
{
public:
	void setAlpha(float newalpha);
	virtual void render()=0;
	AbstractBillboard(char filename[], float width, float height);
	AbstractBillboard(Texture * newtexture, float width, float height);
	virtual ~AbstractBillboard();
protected:
	void renderRect();
private:
   float width, height;
   Texture * texture;
   float alpha;
};

#endif // !defined(AFX_ABSTRACTBILLBOARD_H__AA3B73DB_B6C9_495F_8901_93203676D8AD__INCLUDED_)
