// AbstractPanel.h: interface for the AbstractPanel class.
//
//////////////////////////////////////////////////////////////////////

#if !defined(AFX_ABSTRACTPANEL_H__72830818_4227_4A60_BC73_04414D020A86__INCLUDED_)
#define AFX_ABSTRACTPANEL_H__72830818_4227_4A60_BC73_04414D020A86__INCLUDED_

#if _MSC_VER >= 1000
#pragma once
#endif // _MSC_VER >= 1000

class AbstractPanel  
{
public:
	AbstractPanel();
	virtual ~AbstractPanel();
   virtual void onDisplay()=0; // all setup is performed elsewheer, just draw 2d
   /* returns true if the panel is exiting */
   virtual bool onMouseDown(int button, int state, int x, int y)=0;
   virtual bool onKeyboard(unsigned char key, int x, int y)=0;

};

#endif // !defined(AFX_ABSTRACTPANEL_H__72830818_4227_4A60_BC73_04414D020A86__INCLUDED_)
