// AlignBehavior.h: interface for the AlignBehavior class.
//
//////////////////////////////////////////////////////////////////////

#if !defined(AFX_ALIGNBEHAVIOR_H__B587C01E_65CD_45B2_A5E3_085B6C62933F__INCLUDED_)
#define AFX_ALIGNBEHAVIOR_H__B587C01E_65CD_45B2_A5E3_085B6C62933F__INCLUDED_

#if _MSC_VER >= 1000
#pragma once
#endif // _MSC_VER >= 1000

#include "AIBehavior.h"
#include "coord.h"	// Added by ClassView

#define ALIGN_UP 0 
#define ALIGN_DOWN 1
#define ALIGN_LEFT 2
#define ALIGN_RIGHT 3
#define ALIGN_HEADING 4

class AlignBehavior : public AIBehavior  
{
public:
	void setMatchSpeed(bool match);
	void setAlignRoll(bool newalignroll);
	virtual void  move(Targetable * body, Targetable * target);
	void setAlignWith(int type);
	virtual Coordinate getSteeringVector(Targetable * body, Targetable * target);
	AlignBehavior();
	virtual ~AlignBehavior();
private:
	void matchSpeed(Targetable * body, Targetable * target);
	void alignRoll(Targetable * body, Targetable * target);
   int type;
   bool alignrollflag;
   bool matchspeedflag;
};

#endif // !defined(AFX_ALIGNBEHAVIOR_H__B587C01E_65CD_45B2_A5E3_085B6C62933F__INCLUDED_)
