// Asteroid.cpp: implementation of the Asteroid class.
//
//////////////////////////////////////////////////////////////////////

#include "Asteroid.h"

//////////////////////////////////////////////////////////////////////
// Construction/Destruction
//////////////////////////////////////////////////////////////////////

Asteroid::Asteroid(mesh * newmesh, Coordinate location, float newroll, float newpitch, float newyaw, float mass)
: Object3d(newmesh, 0.0f, newroll, newpitch, newyaw, 0.0f, 0.0f)
{
  setLocation(location);
}

Asteroid::~Asteroid()
{

}

void Asteroid::advance()
{

}

bool Asteroid::instanceof(char classname [ ])
{
  return  strcmp(classname, "Asteroid") == 0;
}

float Asteroid::getMass()
{
  return 200000000.0f;
}

bool Asteroid::instanceof(InstanceT it)
{
  return it & (INST_OBJECT | INST_ASTEROID);
}