// AsteroidField.h: interface for the AsteroidField class.
//
//////////////////////////////////////////////////////////////////////

#if !defined(AFX_ASTEROIDFIELD_H__29C24DAE_3915_4C1C_AA37_C56043C00DE6__INCLUDED_)
#define AFX_ASTEROIDFIELD_H__29C24DAE_3915_4C1C_AA37_C56043C00DE6__INCLUDED_

#if _MSC_VER >= 1000
#pragma once
#endif // _MSC_VER >= 1000

#include "coord.h"
#include "coldet.h"
class mesh;
class BinaryMeshFile;

class AsteroidField  
{
public:
	void generate(Coordinate center, int numasteroids, float radius);
	AsteroidField();
	virtual ~AsteroidField();

private:
	float randomv(float min, float max);
	void add(int asteroidtype, Coordinate location);
	mesh * astmesh[2];
	BinaryMeshFile * meshfile;
	CollisionModel3D * collisionmodel;
};

#endif // !defined(AFX_ASTEROIDFIELD_H__29C24DAE_3915_4C1C_AA37_C56043C00DE6__INCLUDED_)
