// BMPFile.h: interface for the BMPFile class.
//
//////////////////////////////////////////////////////////////////////

#if !defined(AFX_BMPFILE_H__5FD6BDAF_6954_4364_85A0_5C8BCC554ADA__INCLUDED_)
#define AFX_BMPFILE_H__5FD6BDAF_6954_4364_85A0_5C8BCC554ADA__INCLUDED_

#if _MSC_VER >= 1000
#pragma once
#endif // _MSC_VER >= 1000

#include <GL/glew.h>
#include <windows.h>
#include "AbstractImageFile.h"

class BMPFile  : public AbstractImageFile
{
public:
	void setDontFree();
	 BMPFile(BITMAPINFO * info, void * bits);
   /* must be freed with free */
    virtual GLubyte	*getData();
	virtual int getHeight();
	virtual int getWidth();
   BMPFile(char filename[]);
	virtual ~BMPFile();
private:
  GLubyte * data;
  int width;
  int height;
  bool freeme;
};

#endif // !defined(AFX_BMPFILE_H__5FD6BDAF_6954_4364_85A0_5C8BCC554ADA__INCLUDED_)
