// BackCamera.h: interface for the BackCamera class.
//
//////////////////////////////////////////////////////////////////////

#if !defined(AFX_BACKCAMERA_H__484FD0E6_0FBE_477E_9035_B4336302A878__INCLUDED_)
#define AFX_BACKCAMERA_H__484FD0E6_0FBE_477E_9035_B4336302A878__INCLUDED_

#if _MSC_VER >= 1000
#pragma once
#endif // _MSC_VER >= 1000

#include "Camera.h"
#include "coord.h"	// Added by ClassView

class BackCamera : public Camera  
{
public:
	virtual Coordinate getLeft();
	virtual Coordinate getLocation();
	virtual bool isVisibible(Coordinate point);
	virtual ~BackCamera();
	virtual Coordinate getHeading();
   virtual void render();
	static Camera * getInstance();
private:
	BackCamera();
   static BackCamera me;
};

#endif // !defined(AFX_BACKCAMERA_H__484FD0E6_0FBE_477E_9035_B4336302A878__INCLUDED_)
