// BriefingShip.h: interface for the BriefingShip class.
//
//////////////////////////////////////////////////////////////////////

#if !defined(AFX_BRIEFINGSHIP_H__769F4444_4BEF_44AE_810E_B3F438022FA3__INCLUDED_)
#define AFX_BRIEFINGSHIP_H__769F4444_4BEF_44AE_810E_B3F438022FA3__INCLUDED_

#if _MSC_VER >= 1000
#pragma once
#endif // _MSC_VER >= 1000

#include "Object3d.h"
#include "Color.h"	// Added by ClassView
#include "coord.h"	// Added by ClassView

class BriefingShip : public Object3d  
{
public:
	int getLastAutopilotNav();
	void setPositionRelative(Object3d * relativeto);
	// also sets relative position
	void setFacing(Coordinate center);
	Coordinate getRelativePosition();
	BriefingShip(char filename[], bool enemy, bool capship, 
						   Coordinate newrelativepos, int newlastnav);
	virtual ~BriefingShip();

private:
	void setPositionRelative(Coordinate center);
	Color getColor(bool enemy, bool capship);
	Coordinate relativeposition;
	int lastnav;
};

#endif // !defined(AFX_BRIEFINGSHIP_H__769F4444_4BEF_44AE_810E_B3F438022FA3__INCLUDED_)
