// CampaignXmlAdapater.cpp: implementation of the CampaignXmlAdapater class.
//
//////////////////////////////////////////////////////////////////////
#include "CampaignXmlAdapater.h"
#include "Campaign.h"


//////////////////////////////////////////////////////////////////////
// Construction/Destruction
//////////////////////////////////////////////////////////////////////

Campaign::Campaign(char newfilename[])
{
  CampaignXmlAdapater adapter(newfilename);


  nummissions = adapter.getNumMissions();
  win = adapter.getWins();
  lose = adapter.getLose();
  names = adapter.getNames();
  title = adapter.getTitle();
  filename = newfilename;
}

Campaign::~Campaign()
{
  delete [] lose;
  delete [] win;
  delete [] names;
}


string Campaign::getStartMission()
{
  return names[0];
}

string Campaign::getWinningMission(string currentmission)
{
  int i;

  for(i=0; i < nummissions; i++)
  {
    if(names[i] == currentmission)
      return win[i];


  }
  return string("");
}

string Campaign::getLosingMission(string currentmission)
{
  int i;

  for(i=0; i < nummissions; i++)
  {
    if(names[i] == currentmission)
      return lose[i];
  }
  return string("");

}

string Campaign::getTitle()
{
  return title;
}

string Campaign::getFileName()
{
  return filename;
}
