// CircularBuffer.h: interface for the CircularBuffer class.
//
//////////////////////////////////////////////////////////////////////

#if !defined(AFX_CIRCULARBUFFER_H__5AA5F92A_950C_40F5_9E3B_55DFD7E50469__INCLUDED_)
#define AFX_CIRCULARBUFFER_H__5AA5F92A_950C_40F5_9E3B_55DFD7E50469__INCLUDED_

#if _MSC_VER >= 1000
#pragma once
#endif // _MSC_VER >= 1000

class IllegalArgumentException{};


template <class T>
class CircularBuffer  
{
public:
	bool isFull();
	void removeFront();
	void addBack(T newelement);
	T get(int index);
	int getNumElements();
	CircularBuffer(int maxsize);
	virtual ~CircularBuffer();
private:
	T * array;
	int maxelements;
	int numelements;
	int front;
	int back;
};

#include "CircularBuffer.cpp"

#endif // !defined(AFX_CIRCULARBUFFER_H__5AA5F92A_950C_40F5_9E3B_55DFD7E50469__INCLUDED_)
