// CockpitCamera.h: interface for the CockpitCamera class.
//
//////////////////////////////////////////////////////////////////////

#if !defined(AFX_COCKPITCAMERA_H__AB24687A_B394_4154_BA24_A6F6FDBB0847__INCLUDED_)
#define AFX_COCKPITCAMERA_H__AB24687A_B394_4154_BA24_A6F6FDBB0847__INCLUDED_

#if _MSC_VER >= 1000
#pragma once
#endif // _MSC_VER >= 1000

#include "Camera.h"
#include "coord.h"	// Added by ClassView

class CockpitCamera : public Camera  
{
public:
	virtual Coordinate getLocation();
	static Camera * getInstance();
	virtual bool shouldRenderCockpit();
	virtual Coordinate getHeading();
	virtual void render();
	virtual ~CockpitCamera();
private:
   static CockpitCamera me;
	CockpitCamera();
};

#endif // !defined(AFX_COCKPITCAMERA_H__AB24687A_B394_4154_BA24_A6F6FDBB0847__INCLUDED_)
