// Color.h: interface for the Color class.
//
//////////////////////////////////////////////////////////////////////

#if !defined(AFX_COLOR_H__F5D4B4B8_57FB_447A_86E7_FB52C36557A7__INCLUDED_)
#define AFX_COLOR_H__F5D4B4B8_57FB_447A_86E7_FB52C36557A7__INCLUDED_

#if _MSC_VER >= 1000
#pragma once
#endif // _MSC_VER >= 1000

class Color  
{
public:
	 Color(float r, float g, float b, float a);
	Color interpolate(Color other, float s);
	void render();
	 Color();
	 Color(float r, float g, float b);
  Color operator *(float value);
  float r;
  float g;
  float b;
  float a;
  bool alphaset;
};

#endif // !defined(AFX_COLOR_H__F5D4B4B8_57FB_447A_86E7_FB52C36557A7__INCLUDED_)
