// CutScene.h: interface for the CutScene class.
//
//////////////////////////////////////////////////////////////////////

#if !defined(AFX_CUTSCENE_H__B3912A48_1FD0_44C9_A134_EFC654334FD5__INCLUDED_)
#define AFX_CUTSCENE_H__B3912A48_1FD0_44C9_A134_EFC654334FD5__INCLUDED_

#if _MSC_VER >= 1000
#pragma once
#endif // _MSC_VER >= 1000

class CutScene  
{
public:
	virtual void render();
   virtual bool instanceof(char classname[]);
	virtual void advance();
	static void destroy();
	static CutScene * getCurrentCutScene();
	virtual bool isDone()=0;
   virtual void start()=0;
	CutScene();
	virtual ~CutScene();
protected:
	static void setCurrent(CutScene * newcutscene);
private:
   static CutScene * currentcutscene;
};

#endif // !defined(AFX_CUTSCENE_H__B3912A48_1FD0_44C9_A134_EFC654334FD5__INCLUDED_)
