// DebriefingInfo.h: interface for the DebriefingInfo class.
//
//////////////////////////////////////////////////////////////////////

#if !defined(AFX_DEBRIEFINGINFO_H__942810C1_2D62_4F4A_9C6A_53C6D447CBB3__INCLUDED_)
#define AFX_DEBRIEFINGINFO_H__942810C1_2D62_4F4A_9C6A_53C6D447CBB3__INCLUDED_

#if _MSC_VER >= 1000
#pragma once
#endif // _MSC_VER >= 1000

class DebriefingInfo  
{
public:
	DebriefingInfo(   int num_shots_fired,
   int num_missiles_fired,
   int num_gun_hits,
   int num_missile_hits,
   int num_player_kills,
   int num_friendly_ships_lost);
	virtual ~DebriefingInfo();
   int getNumShotsFired(){return num_shots_fired;}
   float getShotsHit(){return (float)num_gun_hits/ (float)num_shots_fired;}
   int getNumMissilesFired(){return num_missiles_fired;}
   float getMissileHits(){return (float) num_missile_hits/(float)num_missiles_fired;}
   int getPlayerKills(){return num_player_kills;}
   int getFriendlyCraftLost(){return num_friendly_ships_lost;}
   
private:
   int num_shots_fired;
   int num_missiles_fired;
   int num_gun_hits;
   int num_missile_hits;
   int num_player_kills;
   int num_friendly_ships_lost;
};

#endif // !defined(AFX_DEBRIEFINGINFO_H__942810C1_2D62_4F4A_9C6A_53C6D447CBB3__INCLUDED_)
