// DirectionalForceEffect.h: interface for the DirectionalForceEffect class.
//
//////////////////////////////////////////////////////////////////////

#if !defined(AFX_DIRECTIONALFORCEEFFECT_H__A8AF7979_3760_4682_9641_A9E4F5BA7753__INCLUDED_)
#define AFX_DIRECTIONALFORCEEFFECT_H__A8AF7979_3760_4682_9641_A9E4F5BA7753__INCLUDED_

#if _MSC_VER >= 1000
#pragma once
#endif // _MSC_VER >= 1000

#include "ForceEffect.h"

class DirectionalForceEffect : public ForceEffect  
{
public:
	virtual void setEnvelope(int attacklevel, int attacktime, int decaylevel, int decaytime);
	virtual void setDirection(int degrees);
	virtual ~DirectionalForceEffect();
protected:	
	DirectionalForceEffect(IDirectInputEffect * newieffect);
private:
	DIENVELOPE envelope;
	LONG direction[2];

};

#endif // !defined(AFX_DIRECTIONALFORCEEFFECT_H__A8AF7979_3760_4682_9641_A9E4F5BA7753__INCLUDED_)
