// DisplayMode.h: interface for the DisplayMode class.
//
//////////////////////////////////////////////////////////////////////

#if !defined(AFX_DISPLAYMODE_H__A510EF6B_C4CA_42F3_A26A_CBBAF5ACAF00__INCLUDED_)
#define AFX_DISPLAYMODE_H__A510EF6B_C4CA_42F3_A26A_CBBAF5ACAF00__INCLUDED_

#if _MSC_VER >= 1000
#pragma once
#endif // _MSC_VER >= 1000

#include <vector>
#include <string>

#pragma warning( disable : 4786 ) 

class DisplayMode
{
  public:
	  DisplayMode(std::string text);
	 std::string toString();
     DisplayMode();
	 DisplayMode(int nwidth, int nheight, int ndepth);
	 virtual ~DisplayMode();
     int width;
	 int height;
	 int depth;
     static std::vector<DisplayMode> DisplayMode::getDisplayModes();
};

bool operator<(const DisplayMode & d, const DisplayMode & d2);
bool operator==(const DisplayMode & d, const DisplayMode & d2);

#endif // !defined(AFX_DISPLAYMODE_H__A510EF6B_C4CA_42F3_A26A_CBBAF5ACAF00__INCLUDED_)
