// EjectCutscene.h: interface for the EjectCutscene class.
//
//////////////////////////////////////////////////////////////////////

#if !defined(AFX_EJECTCUTSCENE_H__A561B91F_B24D_4986_BAFA_82E5DAC82068__INCLUDED_)
#define AFX_EJECTCUTSCENE_H__A561B91F_B24D_4986_BAFA_82E5DAC82068__INCLUDED_

#if _MSC_VER >= 1000
#pragma once
#endif // _MSC_VER >= 1000

#include "CutScene.h"
#include "Time.h"
#include "EjectionPod.h"

class SoundEffect;

class EjectCutscene : public CutScene  
{
public:
	virtual bool instanceof(char classname[]);
	virtual void render();
	virtual void advance();
	virtual void start();
	virtual bool isDone();
	EjectCutscene();
	virtual ~EjectCutscene();
private:
    TimeValue starttime;
    TimeValue duration;
	TimeValue scene2duration;
	TimeValue scene2starttime;
	bool started2;
	bool started3;
	EjectionPod * pod;
	ship * sar;
	Coordinate podstart;
	Coordinate podend;
	Coordinate cameralocation;
    GLUquadricObj * sphere;
	GLUquadricObj * cylinder;
	SoundEffect * tractorbeamsound;

};

#endif // !defined(AFX_EJECTCUTSCENE_H__A561B91F_B24D_4986_BAFA_82E5DAC82068__INCLUDED_)
