// ErrorHandlerE.h: interface for the ErrorHandlerE class.
//
//////////////////////////////////////////////////////////////////////

#if !defined(AFX_ERRORHANDLERE_H__E21EB459_8155_4B78_B48A_17CFBE5B5BC4__INCLUDED_)
#define AFX_ERRORHANDLERE_H__E21EB459_8155_4B78_B48A_17CFBE5B5BC4__INCLUDED_

#if _MSC_VER >= 1000
#pragma once
#endif // _MSC_VER >= 1000

#include "ErrorHandler.h"

using SAX::SAXParseException;
using SAX::ErrorHandler;

class ErrorHandlerE : public ErrorHandler  
{
public:
	static bool fileExists(char filename [ ]);
	static void checkFile(char filename[]);
	static ErrorHandlerE & getInstance();
	ErrorHandlerE();
	virtual ~ErrorHandlerE();
   virtual void warning(SAXParseException& exception);
   virtual void error(SAXParseException& exception);
   virtual void fatalError(SAXParseException& exception);
private:
	static ErrorHandlerE instance;
};

#endif // !defined(AFX_ERRORHANDLERE_H__E21EB459_8155_4B78_B48A_17CFBE5B5BC4__INCLUDED_)
