// EventListener.h: interface for the EventListener class.
//
//////////////////////////////////////////////////////////////////////

#if !defined(AFX_EVENTLISTENER_H__08EB6331_A38C_45D8_BE57_5B023C6855FD__INCLUDED_)
#define AFX_EVENTLISTENER_H__08EB6331_A38C_45D8_BE57_5B023C6855FD__INCLUDED_

#if _MSC_VER >= 1000
#pragma once
#endif // _MSC_VER >= 1000





class EventListener  
{
public:
	virtual void onMouseMove(int x, int y);
	virtual void onMouseDown(int button, int state, int x, int y);
	virtual void onDisplay();
	virtual void onReshape(int w, int h);
	virtual void onKeyboardUp(unsigned char key, int x, int y);
	virtual void onKeyboard(unsigned char key, int x, int y);
	virtual void onSpecialUpKeyboard(int key, int x, int y);
	virtual void onSpecialKeyboard(int key, int x, int y);
	virtual void onIdle();
	EventListener();
	virtual ~EventListener();

};

void setEventListener(EventListener * el);
#endif // !defined(AFX_EVENTLISTENER_H__08EB6331_A38C_45D8_BE57_5B023C6855FD__INCLUDED_)
