// FixedCamera.h: interface for the FixedCamera class.
//
//////////////////////////////////////////////////////////////////////

#if !defined(AFX_FIXEDCAMERA_H__7D61AC1F_CFB9_4AA3_B588_8157260B2374__INCLUDED_)
#define AFX_FIXEDCAMERA_H__7D61AC1F_CFB9_4AA3_B588_8157260B2374__INCLUDED_

#if _MSC_VER >= 1000
#pragma once
#endif // _MSC_VER >= 1000

#include "Camera.h"
#include "coord.h"

class FixedCamera : public Camera  
{
public:
	virtual Coordinate getLocation();
	virtual Coordinate getUp();
	static Camera * getInstance();
   virtual bool showMovingStars();
	virtual Coordinate getHeading();
	virtual void render();
	void setLookAt(Coordinate newlookat);
	void setUp(Coordinate newup);
	void setLocation(Coordinate newlocation);

	virtual ~FixedCamera();
private:
	FixedCamera();
   Coordinate location;
   Coordinate lookat;
   Coordinate up;
   static FixedCamera me;
};

#endif // !defined(AFX_FIXEDCAMERA_H__7D61AC1F_CFB9_4AA3_B588_8157260B2374__INCLUDED_)
