// FleeBehavior.cpp: implementation of the FleeBehavior class.
//
//////////////////////////////////////////////////////////////////////

#include "FleeBehavior.h"

//////////////////////////////////////////////////////////////////////
// Construction/Destruction
//////////////////////////////////////////////////////////////////////

FleeBehavior FleeBehavior::instance;

FleeBehavior::FleeBehavior()
{

}

FleeBehavior::~FleeBehavior()
{

}

void FleeBehavior::move(Targetable * body, Targetable * target)
{
  Coordinate desiredheading;

  desiredheading = body->getLocation()  - target->getLocation();
  desiredheading.normalize();

  steerTo(body, desiredheading - body->getHeading()); 
}
