#include <glut.h>
#include <string.h>
#include <stdio.h>
#include <stdarg.h>

#define MAX_STRING 50

void Print (void *font, char string[])
{
	int len, i;

	len = strlen (string);
	for (i=0; i<len; i++)
	{
      if(string[i] == ' ')
      {
         int width = glutBitmapWidth(font, 'c');
         float raster[4];

         // get the current raster position

         glGetFloatv(GL_CURRENT_RASTER_POSITION, raster);
         glRasterPos2f(raster[0] + width, raster[1]);
      }
		glutBitmapCharacter (font, string[i]);
	}
}

void
FontPrintf_glut(GLuint font,		/* I - Font to use */
           char   *format,	/* I - printf() style format string */
           ...)			/* I - Other arguments as necessary */
{
  va_list	ap;			/* Argument pointer */
  char		s[MAX_STRING + 1];	/* Output string */


  if (format == NULL)
    return;

  va_start(ap, format);
  vsprintf(s, format, ap);
  va_end(ap);

  //FontPuts(font, s);
  Print(GLUT_BITMAP_HELVETICA_10, s);
}


