// ForceEffectSet.h: interface for the ForceEffectSet class.
//
//////////////////////////////////////////////////////////////////////

#if !defined(AFX_FORCEEFFECTSET_H__746E26AF_9AD4_46A5_B37B_56E03648BBFE__INCLUDED_)
#define AFX_FORCEEFFECTSET_H__746E26AF_9AD4_46A5_B37B_56E03648BBFE__INCLUDED_

#if _MSC_VER >= 1000
#pragma once
#endif // _MSC_VER >= 1000


class DirectionalForceEffect;
class ForceEffect;

class ForceEffectSet  
{
public:
	void setDirection(int direction);
	void stop();
	int getNumForces();
	ForceEffect * getForce(int index);
	void advance();
	void play();
	void addForceEffect(ForceEffect * effect);
	ForceEffectSet();
	virtual ~ForceEffectSet();
private:
#ifdef WIN32
	DirectionalForceEffect * effect;
#else
	ForceEffect * effect;
#endif

};

#endif // !defined(AFX_FORCEEFFECTSET_H__746E26AF_9AD4_46A5_B37B_56E03648BBFE__INCLUDED_)
