// ForceFeedbackJoystick.h: interface for the ForceFeedbackJoystick class.
//
//////////////////////////////////////////////////////////////////////

#if !defined(AFX_FORCEFEEDBACKJOYSTICK_H__85064984_8B2F_403C_AF4B_941FE091C961__INCLUDED_)
#define AFX_FORCEFEEDBACKJOYSTICK_H__85064984_8B2F_403C_AF4B_941FE091C961__INCLUDED_

#if _MSC_VER >= 1000
#pragma once
#endif // _MSC_VER >= 1000

#include "Joystick.h"
#ifdef WIN32
#include "ConstantForceEffect.h"
#include "RampForceEffect.h"	// Added by ClassView
#include "PeriodicForceEffect.h"
#endif

class ForceFeedbackJoystick : public Joystick  
{
 public:
#ifdef WIN32
    virtual PeriodicForceEffect *  getSawToothDownForce()=0;
	virtual PeriodicForceEffect *     getSawToothUpForce()=0;
	virtual PeriodicForceEffect *    getTriangleForce()=0;
	virtual PeriodicForceEffect *   getSineForce()=0;
	virtual PeriodicForceEffect * getSquareForce()=0;
	virtual RampForceEffect * getRampForce()=0;
	virtual ConstantForceEffect * getConstantForce()=0;
#endif
	ForceFeedbackJoystick();
	virtual ~ForceFeedbackJoystick();

};

#endif // !defined(AFX_FORCEFEEDBACKJOYSTICK_H__85064984_8B2F_403C_AF4B_941FE091C961__INCLUDED_)
