// GunDescription.h: interface for the GunDescription class.
//
//////////////////////////////////////////////////////////////////////

#if !defined(AFX_GUNDESCRIPTION_H__C7D5CAFE_4754_405D_BDF8_C811737F9187__INCLUDED_)
#define AFX_GUNDESCRIPTION_H__C7D5CAFE_4754_405D_BDF8_C811737F9187__INCLUDED_

#if _MSC_VER >= 1000
#pragma once
#endif // _MSC_VER >= 1000

#include "weapondescription.h"
#include <string>
#include "Color.h"

class AbstractBillboard;
class Image;

class GunDescription : public weapondescription  
{
public:
	bool isChargeable();
	int getChargeTime();
	Color getLightColor();
	virtual void load();
    AbstractBillboard * getBillboard();
	int getEnergy();
	GunDescription(float newrange, int newdamage, std::string newmesh,
   float newvelocity, float newroll, float newpitch, float newyaw, 
   string newname, int newenergy, int newdelay, int soundindex,
   std::string newbillboard, float bbwidth, float bbheight, std::string icon,
   bool newdamageturrets, bool newdamagecapships, Color newlightcolor, int newchargetime);
	virtual ~GunDescription();
private:
   int energy;
   AbstractBillboard * billboard;
   std::string billboardname;
   float billboardwidth;
   float billboardheight;
   bool loaded;
   Color lightcolor;
   int chargetime;
};

#endif // !defined(AFX_GUNDESCRIPTION_H__C7D5CAFE_4754_405D_BDF8_C811737F9187__INCLUDED_)
