// HashTable.h: interface for the HashTable class.
//
//////////////////////////////////////////////////////////////////////

#if !defined(AFX_HASHTABLE_H__64F62B95_18A8_4E4C_8498_9A55FDAE636E__INCLUDED_)
#define AFX_HASHTABLE_H__64F62B95_18A8_4E4C_8498_9A55FDAE636E__INCLUDED_

#if _MSC_VER >= 1000
#pragma once
#endif // _MSC_VER >= 1000

#include <string>


class HashTable  
{
public:
	void clear();
	void addItem(char key[], void * data);
	void * getItem(char key[]);
	void setItem(char key[], void * data);
	bool hasKey(char key[]);
	HashTable(int size);
	virtual ~HashTable();
private:
struct HashTableEntry_
{
  std::string key;
  void * data;
};
typedef struct HashTableEntry_  HashTableEntry;

#if 1
	int find(char key[]);
   int numentries;
   HashTableEntry entries[10000];
#endif

};

#endif // !defined(AFX_HASHTABLE_H__64F62B95_18A8_4E4C_8498_9A55FDAE636E__INCLUDED_)
