// Image.cpp: implementation of the Image class.
//
//////////////////////////////////////////////////////////////////////

#include "Image.h"

//////////////////////////////////////////////////////////////////////
// Construction/Destruction
//////////////////////////////////////////////////////////////////////

Image::Image()
: color(1.0f, 1.0f, 1.0f)
{
  scale = 1.0f;
  rotationvalid = false;
  colorset = false;
}

Image::~Image()
{
}


void Image::setScale(float newscale)
{
  scale = newscale;
}

void Image::setColor(Color newcolor)
{
  color = newcolor;
  colorset = true;
}

void Image::setRotation(float degrees)
{
  rotationvalid = true;
  rotation = degrees;
}
