// Image.h: interface for the Image class.
//
//////////////////////////////////////////////////////////////////////

#if !defined(AFX_IMAGE_H__CB571D2B_E4B2_451C_932E_72AD1F8A1481__INCLUDED_)
#define AFX_IMAGE_H__CB571D2B_E4B2_451C_932E_72AD1F8A1481__INCLUDED_

#include "Color.h"
#include <GL/glew.h>

class Image  
{
public:
	void setRotation(float degrees);
	void setColor(Color newcolor);
	void setScale(float scale);
	virtual int getHeight()=0;
	virtual int getWidth()=0;
	virtual void render(float x, float y)=0;
   virtual void recycle(GLubyte * bits, int width, int height)=0;
   virtual ~Image();
protected:
   Image();
   float scale;
   Color color;
   float rotation;
   bool rotationvalid;
   bool colorset;

};

#endif // !defined(AFX_IMAGE_H__CB571D2B_E4B2_451C_932E_72AD1F8A1481__INCLUDED_)
