// ImageFile.h: interface for the ImageFile class.
//
//////////////////////////////////////////////////////////////////////

#if !defined(AFX_IMAGEFILE_H__4B8E19DE_7374_43DB_95F0_C0386CB09660__INCLUDED_)
#define AFX_IMAGEFILE_H__4B8E19DE_7374_43DB_95F0_C0386CB09660__INCLUDED_

#if _MSC_VER >= 1000
#pragma once
#endif // _MSC_VER >= 1000

#include "AbstractImageFile.h"
#include "il.h"

class ImageFile  : public AbstractImageFile
{
public:
	bool hasAlpha();
	virtual unsigned char * getData();
	virtual int getHeight();
	virtual int getWidth();
	ImageFile(char filename[], bool wantalpha);
	virtual ~ImageFile();
	int getBytesPerPixel();
private:
	ILuint image;
	bool hasalpha;
	int bytesperpixel;
	
};

#endif // !defined(AFX_IMAGEFILE_H__4B8E19DE_7374_43DB_95F0_C0386CB09660__INCLUDED_)
