// JoystickRange.h: interface for the JoystickRange class.
//
//////////////////////////////////////////////////////////////////////

#if !defined(AFX_JOYSTICKRANGE_H__7B2EA254_8192_409D_8EEF_73483DE885A7__INCLUDED_)
#define AFX_JOYSTICKRANGE_H__7B2EA254_8192_409D_8EEF_73483DE885A7__INCLUDED_

#if _MSC_VER >= 1000
#pragma once
#endif // _MSC_VER >= 1000

class JoystickRange  
{
public:
	float getPositionPercentage(int position);
	int getMax();
	int getMin();
	float getPositionPercentageSigned(int position);
	JoystickRange(int min, int max);
	virtual ~JoystickRange();
private:
	int min, max;
	int middle;
	float interval;
};

#endif // !defined(AFX_JOYSTICKRANGE_H__7B2EA254_8192_409D_8EEF_73483DE885A7__INCLUDED_)
