// LeftCamera.h: interface for the LeftCamera class.
//
//////////////////////////////////////////////////////////////////////

#if !defined(AFX_LEFTCAMERA_H__EA071058_F47A_4794_85C0_26624D5F2A3C__INCLUDED_)
#define AFX_LEFTCAMERA_H__EA071058_F47A_4794_85C0_26624D5F2A3C__INCLUDED_

#if _MSC_VER >= 1000
#pragma once
#endif // _MSC_VER >= 1000

#include "Camera.h"
#include "coord.h"	// Added by ClassView

class LeftCamera : public Camera  
{
public:
	virtual Coordinate getLocation();
	static Camera * getInstance();

	virtual ~LeftCamera();
	virtual Coordinate getHeading();
   virtual void render();
private:
   static LeftCamera me;
	LeftCamera();
};

#endif // !defined(AFX_LEFTCAMERA_H__EA071058_F47A_4794_85C0_26624D5F2A3C__INCLUDED_)
