// Light.h: interface for the Light class.
//
//////////////////////////////////////////////////////////////////////

#if !defined(AFX_LIGHT_H__D24C0DCF_5A1F_41E2_B6DE_2BB6EC4EDCD5__INCLUDED_)
#define AFX_LIGHT_H__D24C0DCF_5A1F_41E2_B6DE_2BB6EC4EDCD5__INCLUDED_

#if _MSC_VER >= 1000
#pragma once
#endif // _MSC_VER >= 1000

#include "Color.h"
#include <GL/glew.h>

/* see sublasses AmbientLight and DiffuseLight */
class Light  
{
public:
	virtual bool instanceof(char name[]);
	virtual void disable();
	virtual void enable();
	virtual void render()=0;
   /* number is the opengl light number to be associated with this light */
	Light();
	virtual ~Light();
protected:

};

#endif // !defined(AFX_LIGHT_H__D24C0DCF_5A1F_41E2_B6DE_2BB6EC4EDCD5__INCLUDED_)
