// LoadPanel.h: interface for the LoadPanel class.
//
//////////////////////////////////////////////////////////////////////

#if !defined(AFX_LOADPANEL_H__4370AA0D_8231_46DB_9058_E83D99FF4522__INCLUDED_)
#define AFX_LOADPANEL_H__4370AA0D_8231_46DB_9058_E83D99FF4522__INCLUDED_

#if _MSC_VER >= 1000
#pragma once
#endif // _MSC_VER >= 1000

#include "Panel.h"
#include "SaveGameXmlAdapter.h"

class LoadPanel : public Panel  
{
public:
	string getCampaign();
	string getMission();
	bool hasSelection();
	void update();
	LoadPanel();
	virtual ~LoadPanel();
	virtual void onCancel();
	virtual void onConfirm();
	virtual void onLineClick(int linenumber);
private:
   SaveGameXmlAdapter * adapter;
   bool selected;
   int selection;
};

#endif // !defined(AFX_LOADPANEL_H__4370AA0D_8231_46DB_9058_E83D99FF4522__INCLUDED_)
