// Math.h: interface for the Math class.
//
//////////////////////////////////////////////////////////////////////

#if !defined(AFX_MATH_H__E422E761_17B1_470C_A4ED_79C2AC3D3870__INCLUDED_)
#define AFX_MATH_H__E422E761_17B1_470C_A4ED_79C2AC3D3870__INCLUDED_

#if _MSC_VER >= 1000
#pragma once
#endif // _MSC_VER >= 1000



#define MIN(A,B) (A<B)?(A):(B)
#define MAX(A,B) (A>B)?(A):(B)

#include "fastmath.h"

inline float fabs_f( float r ) 
{
*(long*)&r &= 0x7fffffff; // clear bit 31
return r; // return value
} 

class Math  
{
public:
  Math();
  virtual ~Math();

  static float degtorad(float deg)
  {
    return deg * 3.1415926f / 180.0f;
  }

  static float radtodeg(float rad)
  {
	return rad * 180.0f / 3.1415926f;
  }

};

#endif // !defined(AFX_MATH_H__E422E761_17B1_470C_A4ED_79C2AC3D3870__INCLUDED_)
