// MeshFileFactory.cpp: implementation of the MeshFileFactory class.
//
//////////////////////////////////////////////////////////////////////

#include <string.h>
#include "MeshFileFactory.h"
//#include "XmlMeshFile.h"
#include "BinaryMeshFile.h"

//////////////////////////////////////////////////////////////////////
// Construction/Destruction
//////////////////////////////////////////////////////////////////////

HashTable MeshFileFactory::hashtable(100);

AbstractMeshFile * MeshFileFactory::getMeshFile(char name [ ])
{
      AbstractMeshFile * newitem = new BinaryMeshFile(name);
	  return newitem;
}

AbstractMeshFile * MeshFileFactory::getMeshFile(char name [ ], Color transparent)
{
      AbstractMeshFile * newitem = new BinaryMeshFile(name, transparent);
      return newitem;
}

void MeshFileFactory::clear()
{
}
