// MeshFileFactory.h: interface for the MeshFileFactory class.
//
//////////////////////////////////////////////////////////////////////

#ifndef  _MESHFILEFACTORY_H__
#define  _MESHFILEFACTORY_H__

#if _MSC_VER >= 1000
#pragma once
#endif // _MSC_VER >= 1000

#include "Color.h"
#include "HashTable.h"

class AbstractMeshFile;

class MeshFileFactory  
{
public:
	static void  clear();
	static AbstractMeshFile * getMeshFile(char name[], Color transparent);
	static AbstractMeshFile * getMeshFile(char name[]);
private:
    static HashTable hashtable;
};

#endif // !defined(AFX_MESHFILEFACTORY_H__E51C1DF5_74BC_4E9B_BE1A_A30D09E17EE4__INCLUDED_)
