// MusicFactory.h: interface for the MusicFactory class.
//
//////////////////////////////////////////////////////////////////////

#if !defined(AFX_MUSICFACTORY_H__32DAEDAD_425A_4DF9_AB67_F481CC272952__INCLUDED_)
#define AFX_MUSICFACTORY_H__32DAEDAD_425A_4DF9_AB67_F481CC272952__INCLUDED_

#if _MSC_VER >= 1000
#pragma once
#endif // _MSC_VER >= 1000

#include "Music.h"

class MusicFactory  
{
public:
	static MusicFactory * getMusicFactory();
	Music * getMusic(char filename[], bool repeat=true);

	virtual ~MusicFactory();
private:
	MusicFactory();
   static MusicFactory * factory;
};

#endif // !defined(AFX_MUSICFACTORY_H__32DAEDAD_425A_4DF9_AB67_F481CC272952__INCLUDED_)
