// NullSoundEffect3d.h: interface for the NullSoundEffect3d class.
//
//////////////////////////////////////////////////////////////////////

#if !defined(AFX_NULLSOUNDEFFECT3D_H__136E767D_87BE_45EA_9EBD_1B8A2559FE58__INCLUDED_)
#define AFX_NULLSOUNDEFFECT3D_H__136E767D_87BE_45EA_9EBD_1B8A2559FE58__INCLUDED_

#if _MSC_VER >= 1000
#pragma once
#endif // _MSC_VER >= 1000

#include "SoundEffect3d.h"

class NullSoundEffect3d : public SoundEffect3d  
{
public:
	NullSoundEffect3d()
	{ 
		isplaying = false;
	}
	virtual ~NullSoundEffect3d()
	{}
	virtual void stop()
	{ 
		isplaying = false; 
	}
	virtual void setLoop(bool newloop)
	{ looped = newloop;
	}
	virtual bool isPlaying()
	{
      return isplaying;
	}
	virtual void play()
	{
      if(looped)
	  {
        isplaying = true;
	  }
	}
	virtual void render(){}
private:
	bool looped;
	bool isplaying;

};

#endif // !defined(AFX_NULLSOUNDEFFECT3D_H__136E767D_87BE_45EA_9EBD_1B8A2559FE58__INCLUDED_)
