// PeriodicForceEffect.h: interface for the PeriodicForceEffect class.
//
//////////////////////////////////////////////////////////////////////

#if !defined(AFX_PERIODICFORCEEFFECT_H__39C149A3_241B_4833_8CE8_B1B16F6A0AAE__INCLUDED_)
#define AFX_PERIODICFORCEEFFECT_H__39C149A3_241B_4833_8CE8_B1B16F6A0AAE__INCLUDED_

#if _MSC_VER >= 1000
#pragma once
#endif // _MSC_VER >= 1000

#include "DirectionalForceEffect.h"

class PeriodicForceEffect : public DirectionalForceEffect  
{
public:
	void setPeriod(int period);
	void setOffset(int offset);
	void setPhase(int phase);
	void setMagnitude(int magnitude);
	PeriodicForceEffect(IDirectInputEffect * newieffect);
	virtual ~PeriodicForceEffect();
private:
	DIPERIODIC diperiodic;
};

#endif // !defined(AFX_PERIODICFORCEEFFECT_H__39C149A3_241B_4833_8CE8_B1B16F6A0AAE__INCLUDED_)
