// PlayerComm.h: interface for the PlayerComm class.
//
//////////////////////////////////////////////////////////////////////

#if !defined(AFX_PLAYERCOMM_H__9CFA1350_A5DC_4170_90A0_D595FA0523CE__INCLUDED_)
#define AFX_PLAYERCOMM_H__9CFA1350_A5DC_4170_90A0_D595FA0523CE__INCLUDED_

#if _MSC_VER >= 1000
#pragma once
#endif // _MSC_VER >= 1000

#include "Comm.h"

class PlayerComm : public Comm  
{
public:
	void askStatus();
	void requestLanding();
	void help();
	void attackMyTarget();
	void breakAndAttack();
	PlayerComm(char name[]);
	virtual ~PlayerComm();
private:
   SoundEffect * landing_sound;
   SoundEffect * help_sound;
   SoundEffect * attack_sound;
   SoundEffect * break_sound;
   SoundEffect * askstatus_sound;
};

#endif // !defined(AFX_PLAYERCOMM_H__9CFA1350_A5DC_4170_90A0_D595FA0523CE__INCLUDED_)
