// Pod.h: interface for the Pod class.
//
//////////////////////////////////////////////////////////////////////

#if !defined(AFX_POD_H__E596BF32_BF56_468C_AC0C_897A60BD54DC__INCLUDED_)
#define AFX_POD_H__E596BF32_BF56_468C_AC0C_897A60BD54DC__INCLUDED_

#include "coord.h"	// Added by ClassView
#if _MSC_VER >= 1000
#pragma once
#endif // _MSC_VER >= 1000

class mesh;

class Pod  
{
public:
	Coordinate getMins();
	Coordinate getMaxs();
	Coordinate getTranslation();
	void setTranslation(Coordinate newcoord);
	 Pod(Pod & that);
	mesh * getMesh();
	Pod(mesh * newmesh);
	virtual ~Pod();
private:
	mesh * mymesh;
	Coordinate translation;
};

#endif // !defined(AFX_POD_H__E596BF32_BF56_468C_AC0C_897A60BD54DC__INCLUDED_)
