// ReticleFactory.h: interface for the ReticleFactory class.
//
//////////////////////////////////////////////////////////////////////

#if !defined(AFX_RETICLEFACTORY_H__29FEB69C_F463_4015_BA0F_2694697F0DBA__INCLUDED_)
#define AFX_RETICLEFACTORY_H__29FEB69C_F463_4015_BA0F_2694697F0DBA__INCLUDED_

#if _MSC_VER >= 1000
#pragma once
#endif // _MSC_VER >= 1000

#include <string>
#include "HashTable.h"

class Reticle;

class ReticleFactory  
{
public:
	static void clear();
	Reticle * getReticle(std::string type, std::string imagename);
	static ReticleFactory * getInstance();
	virtual ~ReticleFactory();
private:
	HashTable hashtable;
	ReticleFactory();
   static ReticleFactory instance;
};

#endif // !defined(AFX_RETICLEFACTORY_H__29FEB69C_F463_4015_BA0F_2694697F0DBA__INCLUDED_)
