// RightCamera.h: interface for the RightCamera class.
//
//////////////////////////////////////////////////////////////////////

#if !defined(AFX_RIGHTCAMERA_H__467745B1_F5E9_4EB0_BBD2_592304C937FA__INCLUDED_)
#define AFX_RIGHTCAMERA_H__467745B1_F5E9_4EB0_BBD2_592304C937FA__INCLUDED_

#if _MSC_VER >= 1000
#pragma once
#endif // _MSC_VER >= 1000

#include "Camera.h"
#include "coord.h"	// Added by ClassView

class RightCamera : public Camera  
{
public:
	virtual Coordinate getLocation();
	static Camera * getInstance();

	virtual ~RightCamera();
	virtual Coordinate getHeading();
   virtual void render();
private:
  static RightCamera me;
	RightCamera();
};

#endif // !defined(AFX_RIGHTCAMERA_H__467745B1_F5E9_4EB0_BBD2_592304C937FA__INCLUDED_)
