// SeekBehavior.h: interface for the SeekBehavior class.
//
//////////////////////////////////////////////////////////////////////

#if !defined(AFX_SEEKBEHAVIOR_H__0E618985_8724_4F30_9D9A_D32728CF0444__INCLUDED_)
#define AFX_SEEKBEHAVIOR_H__0E618985_8724_4F30_9D9A_D32728CF0444__INCLUDED_

#if _MSC_VER >= 1000
#pragma once
#endif // _MSC_VER >= 1000

#include "AIBehavior.h"
#include "coord.h"	// Added by ClassView

class SeekBehavior : public AIBehavior  
{
public:
	virtual Coordinate  getSteeringVector(Targetable * body, Targetable * target);
   static SeekBehavior instance;
	virtual ~SeekBehavior();
  	virtual void move(Targetable * body, Targetable * target);
protected:
	SeekBehavior();
	Coordinate seek(Targetable * body, Coordinate location);
};

#endif // !defined(AFX_SEEKBEHAVIOR_H__0E618985_8724_4F30_9D9A_D32728CF0444__INCLUDED_)
