// SoundEffect3d.h: interface for the SoundEffect3d class.
//
//////////////////////////////////////////////////////////////////////

#if !defined(AFX_SOUNDEFFECT3D_H__C32ACCE0_AB86_4B43_A234_B709BF896F31__INCLUDED_)
#define AFX_SOUNDEFFECT3D_H__C32ACCE0_AB86_4B43_A234_B709BF896F31__INCLUDED_

#if _MSC_VER >= 1000
#pragma once
#endif // _MSC_VER >= 1000

#include "SoundObject3d.h"
#ifdef HAVE_BASS
#include "bass.h"
#endif

class SoundSample3d;

class SoundEffect3d : public SoundObject3d  
{
public:
	virtual void stop()=0;
	virtual void setLoop(bool newloop)=0;
	virtual bool isPlaying()=0;
	virtual void play()=0;
	virtual void render()=0;
protected:
	SoundEffect3d(){}
};

#endif // !defined(AFX_SOUNDEFFECT3D_H__C32ACCE0_AB86_4B43_A234_B709BF896F31__INCLUDED_)
