// SoundSample3d.h: interface for the SoundSample3d class.
//
//////////////////////////////////////////////////////////////////////

#if !defined(AFX_SOUNDSAMPLE3D_H__EFA6254A_C377_4638_B81C_387835D50F97__INCLUDED_)
#define AFX_SOUNDSAMPLE3D_H__EFA6254A_C377_4638_B81C_387835D50F97__INCLUDED_

#if _MSC_VER >= 1000
#pragma once
#endif // _MSC_VER >= 1000

#ifdef HAS_BASS
#include "bass.h"
#endif

#ifdef HAS_FMOD
#include "fmod.h"
#endif


class SoundSample3d  
{
public:
	SoundSample3d(char filename[], bool support3d);
	virtual ~SoundSample3d();
#ifdef HAS_BASS
	HSAMPLE getHSAMPLE();
private:
    HSAMPLE sam; 
#endif
#ifdef HAS_FMOD
	FSOUND_SAMPLE * getSample();

private:
	FSOUND_SAMPLE * sample;
#endif

};



#endif // !defined(AFX_SOUNDSAMPLE3D_H__EFA6254A_C377_4638_B81C_387835D50F97__INCLUDED_)
