// StatusComm.cpp: implementation of the StatusComm class.
//
//////////////////////////////////////////////////////////////////////

#include "StatusComm.h"
#include <string>
using std::string;

//////////////////////////////////////////////////////////////////////
// Construction/Destruction
//////////////////////////////////////////////////////////////////////

StatusComm::StatusComm(char name[], char videofile[], char label[])
: Comm(name, videofile, label, true)
{
   good = getSound((char *) (string(name) + "_statusgood.wav").c_str());
   bad = getSound((char *) (string(name) + "_statusbad.wav").c_str());
   medium = getSound((char *) (string(name) + "_statusmedium.wav").c_str());
   goodmovie = getMovie((char *) (string(name) + "_statusgood.avi").c_str());
   badmovie = getMovie((char *) (string(name) + "_statusbad.avi").c_str());
   mediummovie = getMovie((char *) (string(name) + "_statusmedium.avi").c_str());

}

StatusComm::~StatusComm()
{

}

void StatusComm::statusGood()
{
  if(goodmovie != NULL)
  {
    playNow(good, goodmovie, name, friendly);
  }
  else
  {
    playNow(good, mymovie, name, friendly);
  }
}

void StatusComm::statusBad()
{
  if(badmovie != NULL)
  {
    playNow(bad, badmovie, name, friendly);
  }
  else
  {
    playNow(bad, mymovie, name, friendly);
  }
}

void StatusComm::statusMedium()
{
  if(mediummovie != NULL)
  {
    playNow(medium, mediummovie, name, friendly);
  }
  else
  {
    playNow(medium, mymovie, name, friendly);
  }
}
