// TakeOffCutScene.h: interface for the TakeOffCutScene class.
//
//////////////////////////////////////////////////////////////////////

#if !defined(AFX_TAKEOFFCUTSCENE_H__6923AE1E_DEC0_4B9E_97F9_445A07B498B8__INCLUDED_)
#define AFX_TAKEOFFCUTSCENE_H__6923AE1E_DEC0_4B9E_97F9_445A07B498B8__INCLUDED_

#if _MSC_VER >= 1000
#pragma once
#endif // _MSC_VER >= 1000

#include "CutScene.h"
#include "Object3d.h"
#include "ship.h"
#include "Time.h"
#include "DiffuseLight.h"
#include "AmbientLight.h"


class TakeOffCutScene : public CutScene  
{
public:
	virtual void render();
	virtual void advance();
	virtual bool instanceof(char name[]);
	TakeOffCutScene();
	virtual ~TakeOffCutScene();
	void setPlayer(Object3d * newplayer);
	virtual void start();
	virtual bool isDone();
private:
	ship * player;
   Object3d * hangar;
   TimeValue starttime;
   TimeValue duration;
   bool inited;
   DiffuseLight light;
   AmbientLight * old_ambientlight;
   AmbientLight * new_ambientlight;
   
};

#endif // !defined(AFX_TAKEOFFCUTSCENE_H__6923AE1E_DEC0_4B9E_97F9_445A07B498B8__INCLUDED_)
