// TextPanel.h: interface for the TextPanel class.
//
//////////////////////////////////////////////////////////////////////

#if !defined(AFX_TEXTPANEL_H__EAA1D5F4_7F47_4197_B703_A845A34DAEE6__INCLUDED_)
#define AFX_TEXTPANEL_H__EAA1D5F4_7F47_4197_B703_A845A34DAEE6__INCLUDED_

#if _MSC_VER >= 1000
#pragma once
#endif // _MSC_VER >= 1000

#include "AbstractPanel.h"
#include "Rect.h"
#include "MessageXmlAdapter.h"

class Font;
class Image;

class TextPanel : public AbstractPanel  
{
public:
	void setMessageFile(char filename[]);
	TextPanel();
	virtual ~TextPanel();
   virtual void onDisplay(); // all setup is performed elsewheer, just draw 2d
   /* returns true if the panel is exiting */
   virtual bool onMouseDown(int button, int state, int x, int y);
   virtual bool onKeyboard(unsigned char key, int x, int y);
private:
   Image * bgimage;
   Font * font;
   Rect exitrect;
   Rect nextrect;
   Rect prevrect;
   MessageXmlAdapter * messageadapter;
   int currentmessage;
};

#endif // !defined(AFX_TEXTPANEL_H__EAA1D5F4_7F47_4197_B703_A845A34DAEE6__INCLUDED_)
