// TextToSpeech.h: interface for the TextToSpeech class.
//
//////////////////////////////////////////////////////////////////////

#if !defined(AFX_TEXTTOSPEECH_H__ABD9411F_3033_4341_91B4_868557468BB1__INCLUDED_)
#define AFX_TEXTTOSPEECH_H__ABD9411F_3033_4341_91B4_868557468BB1__INCLUDED_

#if _MSC_VER >= 1000
#pragma once
#endif // _MSC_VER >= 1000

class SoundEffect;

class TextToSpeech  
{
public:
	SoundEffect * synthesize(char text[], char filename[]);
	SoundEffect * synthesizeAndPlay(char text[]);
	void createFile(char filename[], char text[]);
	static TextToSpeech * getInstance();
	virtual ~TextToSpeech();
private:
	bool isPossibleTest();
   TextToSpeech();
   static TextToSpeech instance;
   bool ispossible;
};

#endif // !defined(AFX_TEXTTOSPEECH_H__ABD9411F_3033_4341_91B4_868557468BB1__INCLUDED_)
