// Texture.h: interface for the Texture class.
//
//////////////////////////////////////////////////////////////////////

#if !defined(AFX_TEXTURE_H__367508C6_2328_44B0_96B0_BCB30D2E0FB5__INCLUDED_)
#define AFX_TEXTURE_H__367508C6_2328_44B0_96B0_BCB30D2E0FB5__INCLUDED_

#if _MSC_VER >= 1000
#pragma once
#endif // _MSC_VER >= 1000

#include <GL/glew.h>

class Texture  
{
public:
   virtual void render()=0;
   virtual void recycle(GLubyte * bits, int width, int height)=0;
   virtual int getWidth()=0;
   virtual int getHeight()=0;
};

#endif // !defined(AFX_TEXTURE_H__367508C6_2328_44B0_96B0_BCB30D2E0FB5__INCLUDED_)
