// TextureFont.h: interface for the TextureFont class.
//
//////////////////////////////////////////////////////////////////////

#if !defined(AFX_TEXTUREFONT_H__620F0666_4E1A_4D92_B70C_E2BDC73B56D8__INCLUDED_)
#define AFX_TEXTUREFONT_H__620F0666_4E1A_4D92_B70C_E2BDC73B56D8__INCLUDED_

#if _MSC_VER >= 1000
#pragma once
#endif // _MSC_VER >= 1000

#include "Font.h"
#include <GL/glew.h>
class Texture;
#include "FontMetrics.h"

class TextureFont : public Font  
{
public:
	virtual int getWidth(char text[]);
	virtual int getHeight(char text[]);
	virtual void print(float x, float y, char text[]);
	virtual void printf(float x, float y, char text[], ...);
	TextureFont(char bmpname[], char datname[]);
	virtual ~TextureFont();
private:
	Texture * texture;
	GLuint mydisplaylist;
	FontMetrics metric;


};

#endif // !defined(AFX_TEXTUREFONT_H__620F0666_4E1A_4D92_B70C_E2BDC73B56D8__INCLUDED_)
