// Thruster.h: interface for the Thruster class.
//
//////////////////////////////////////////////////////////////////////

#if !defined(AFX_THRUSTER_H__0178F30A_DFB8_4F74_A3B7_E81851C3935A__INCLUDED_)
#define AFX_THRUSTER_H__0178F30A_DFB8_4F74_A3B7_E81851C3935A__INCLUDED_

#if _MSC_VER >= 1000
#pragma once
#endif // _MSC_VER >= 1000
#include "coord.h"
#include <GL/glew.h>
#include "Texture.h"

class Thruster  
{
public:
	static void clear();
	Coordinate getLocation();
	void render(float speed, bool afterburn);
	Thruster(Coordinate newlocation, float newradius, float length);
	virtual ~Thruster();
private:
	static Texture * texture;
	static Texture * texture2;
   Coordinate location;
   float radius;
   GLUquadricObj * quadric;
   float length;
};

#endif // !defined(AFX_THRUSTER_H__0178F30A_DFB8_4F74_A3B7_E81851C3935A__INCLUDED_)
