// TransparentImage.h: interface for the TransparentImage class.
//
//////////////////////////////////////////////////////////////////////

#if !defined(AFX_TRANSPARENTIMAGE_H__86FE1DEC_9786_4980_90AD_2E1A5B7E7EA3__INCLUDED_)
#define AFX_TRANSPARENTIMAGE_H__86FE1DEC_9786_4980_90AD_2E1A5B7E7EA3__INCLUDED_

#if _MSC_VER >= 1000
#pragma once
#endif // _MSC_VER >= 1000

#include "Image.h"
#include "Color.h"
#include "Texture.h"

class TransparentImage : public Image  
{
public:
	 TransparentImage(char file[]);
	TransparentImage(char filename[], Color transparent);
	virtual ~TransparentImage();
	virtual int getHeight();
	virtual int getWidth();
	virtual void render(float x, float y);
	virtual void recycle(GLubyte * bits, int width, int height);
private:
   Texture * texture;
   int width;
   int height;
};

#endif // !defined(AFX_TRANSPARENTIMAGE_H__86FE1DEC_9786_4980_90AD_2E1A5B7E7EA3__INCLUDED_)
