// TransparentTexture.h: interface for the TransparentTexture class.
//
//////////////////////////////////////////////////////////////////////

#if !defined(AFX_TRANSPARENTTEXTURE_H__98B843A8_AC47_4AFA_8E10_7E4BF94D2972__INCLUDED_)
#define AFX_TRANSPARENTTEXTURE_H__98B843A8_AC47_4AFA_8E10_7E4BF94D2972__INCLUDED_

#if _MSC_VER >= 1000
#pragma once
#endif // _MSC_VER >= 1000

#include "TextureImpl.h"
#include "Color.h"

class TransparentTexture : public TextureImpl  
{
public:
	 TransparentTexture(GLubyte * bits, int width, int height);
	TransparentTexture(GLubyte * bits, int width, int height, Color transparent);
	/* for grayscale, uses rgb for alpha */
	TransparentTexture(GLubyte * bits, int width, int height, float alphascale);
	virtual ~TransparentTexture();

};

#endif // !defined(AFX_TRANSPARENTTEXTURE_H__98B843A8_AC47_4AFA_8E10_7E4BF94D2972__INCLUDED_)
