// VFormationBehavior.h: interface for the VFormationBehavior class.
//
//////////////////////////////////////////////////////////////////////

#if !defined(AFX_VFORMATIONBEHAVIOR_H__1712ADF1_4381_4F02_AB95_BDAB3BF5FD6A__INCLUDED_)
#define AFX_VFORMATIONBEHAVIOR_H__1712ADF1_4381_4F02_AB95_BDAB3BF5FD6A__INCLUDED_

#if _MSC_VER >= 1000
#pragma once
#endif // _MSC_VER >= 1000

#include "AIBehavior.h"
#include "AlignBehavior.h"
#include "PursueBehavior.h"

class VFormationBehavior  : public AIBehavior
{
public:
	void setLeft(bool left);
	VFormationBehavior();
	virtual ~VFormationBehavior();
	virtual void  move(Targetable * body, Targetable * target);
   virtual Coordinate getSteeringVector(Targetable * body, Targetable *  target);
private:
	void matchSpeed(Targetable * body, Targetable * object);
   bool left;
   PursueBehavior pursue;
   AlignBehavior align;
};

#endif // !defined(AFX_VFORMATIONBEHAVIOR_H__1712ADF1_4381_4F02_AB95_BDAB3BF5FD6A__INCLUDED_)
