// ViewingCone.h: interface for the ViewingCone class.
//
//////////////////////////////////////////////////////////////////////

#if !defined(AFX_VIEWINGCONE_H__4E53B8F6_A809_4D11_A317_3A2AA1C81300__INCLUDED_)
#define AFX_VIEWINGCONE_H__4E53B8F6_A809_4D11_A317_3A2AA1C81300__INCLUDED_

#if _MSC_VER >= 1000
#pragma once
#endif // _MSC_VER >= 1000

#include "coord.h"

class ViewingCone  
{
public:
	bool isSphereVisible(Coordinate center, float radius, float radiussquared);
	void update(Coordinate cameraposition, Coordinate cameraheading);
	ViewingCone(float screenwidth, float screenheight, float fieldofview);
	virtual ~ViewingCone();
private:
	// in radians
	float fov;
	float sinreciprocal;
	float sinsquared;
	float cossquared;
    Coordinate cameraposition;
	Coordinate cameraheading;
};

#endif // !defined(AFX_VIEWINGCONE_H__4E53B8F6_A809_4D11_A317_3A2AA1C81300__INCLUDED_)
