// XmlOutput.h: interface for the XmlOutput class.
//
//////////////////////////////////////////////////////////////////////

#if !defined(AFX_XMLOUTPUT_H__01027F1A_22F8_4A0A_AED5_0B71A95DD9B7__INCLUDED_)
#define AFX_XMLOUTPUT_H__01027F1A_22F8_4A0A_AED5_0B71A95DD9B7__INCLUDED_

#if _MSC_VER >= 1000
#pragma once
#endif // _MSC_VER >= 1000

#include <iostream.h>
#include <fstream.h>

class XmlOutput  
{
public:
	void attribute(char name[], bool value);
	void attribute(char name[], float value);
	void attribute(char name[], int value);
	void header(char doctype[]);
	void endElement();
	void endElement(char name[]);
	void beginElement(char name[], bool hasattributes=false);
	void endAttributes();
	void attribute(char name[], char value[]);
	XmlOutput(ostream & out);
	virtual ~XmlOutput();
private:
	void indent();
   ostream & out;
   int indentlevel;
};

#endif // !defined(AFX_XMLOUTPUT_H__01027F1A_22F8_4A0A_AED5_0B71A95DD9B7__INCLUDED_)
