// midi.cpp: implementation of the midi class.
//
//////////////////////////////////////////////////////////////////////

#include "windows.h"
#include "midi.h"
#define MAXFILE 512

//////////////////////////////////////////////////////////////////////
// Construction/Destruction
//////////////////////////////////////////////////////////////////////
midi::~midi()
{
	stop();
	mciSendString("close midi1", returnstring, 
    RETURNSTRINGLEN, NULL);
}

void midi::open(char filename [ ])
{
	char * buffer;

	buffer = (char *) malloc( strlen(filename) + 50);
	strcpy(buffer, "open ");
	strcat(buffer, filename);
	strcat(buffer, " type sequencer alias midi1");


	mciSendString(buffer, returnstring, 
    RETURNSTRINGLEN, NULL);
	free(buffer);


}

/*void midi::pause()
{
   mciSendString("pause midi1", returnstring, 
    RETURNSTRINGLEN, NULL);
	
}*/

void midi::play()
{
   mciSendString("play midi1 from 0", returnstring, 
    RETURNSTRINGLEN, NULL);
}

void midi::stop()
{
   mciSendString("stop midi1", returnstring, 
    RETURNSTRINGLEN, NULL);

}

/*void midi::seek(int place)
{

}

void midi::unpause()
{

}

*/