#include <stdlib.h>
#include <iostream.h>
#include <string.h>
#include "triangleStruct.h"
#include "OpenFile.h"


void triangleStruct::printData(triangleStruct dataArray) {

  cout<<dataArray.point1.x<<" ";
  cout<<dataArray.point1.y<<" ";
  cout<<dataArray.point1.z<<", ";

  cout<<dataArray.normal1.x<<" ";
  cout<<dataArray.normal1.y<<" ";
  cout<<dataArray.normal1.z<<", ";

  cout<<dataArray.point2.x<<" ";
  cout<<dataArray.point2.y<<" ";
  cout<<dataArray.point2.z<<", ";

  cout<<dataArray.normal2.x<<" ";
  cout<<dataArray.normal2.y<<" ";
  cout<<dataArray.normal2.z<<", ";

  cout<<dataArray.point3.x<<" ";
  cout<<dataArray.point3.y<<" ";
  cout<<dataArray.point3.z<<", ";

  cout<<dataArray.normal3.x<<" ";
  cout<<dataArray.normal3.y<<" ";
  cout<<dataArray.normal3.z<<", ";

  cout<<dataArray.RGB.x<<" ";
  cout<<dataArray.RGB.y<<" ";
  cout<<dataArray.RGB.z<<endl;
}


void triangleStruct::inputData(char* readLine, triangleStruct & dataArray) {
  char seps[]=" ,\t\n";
  double tmpDouble=0;
  char* token;

  token = strtok(readLine, seps);
  dataArray.point1.x=atof(token);
  token = strtok(NULL, seps);
  dataArray.point1.y=atof(token);
  token = strtok(NULL, seps);
  dataArray.point1.z=atof(token);

  token = strtok(NULL, seps);
  dataArray.normal1.x=atof(token);
  token = strtok(NULL, seps);
  dataArray.normal1.y=atof(token);
  token = strtok(NULL, seps);
  dataArray.normal1.z=atof(token);

  token = strtok(NULL, seps);
  dataArray.point2.x=atof(token);
  token = strtok(NULL, seps);
  dataArray.point2.y=atof(token);
  token = strtok(NULL, seps);
  dataArray.point2.z=atof(token);

  token = strtok(NULL, seps);
  dataArray.normal2.x=atof(token);
  token = strtok(NULL, seps);
  dataArray.normal2.y=atof(token);
  token = strtok(NULL, seps);
  dataArray.normal2.z=atof(token);

  token = strtok(NULL, seps);
  dataArray.point3.x=atof(token);
  token = strtok(NULL, seps);
  dataArray.point3.y=atof(token);
  token = strtok(NULL, seps);
  dataArray.point3.z=atof(token);

  token = strtok(NULL, seps);
  dataArray.normal3.x=atof(token);
  token = strtok(NULL, seps);
  dataArray.normal3.y=atof(token);
  token = strtok(NULL, seps);
  dataArray.normal3.z=atof(token);

  token = strtok(NULL, seps);
  dataArray.RGB.x=atof(token);
  token = strtok(NULL, seps);
  dataArray.RGB.y=atof(token);
  token = strtok(NULL, seps);
  dataArray.RGB.z=atof(token);

 // printData(dataArray);
}


void triangleStruct::storeData(char argv[]) {
  OpenFile inputFile;
  char* token;
  char readLine[LINE_LENGTH];
  char seps[]=" ,\t\n";

  inputFile.createFile(argv);
  inputFile.readFile(readLine); 
  token=strtok(readLine, seps);
  if ((vectorlength=atoi(token))==0) {
    cerr<<"can't not get the number of coord in the file"<<endl;
    exit(1);
  }
  triangleVector=new triangleStruct[vectorlength];
  for (int x=0; x<vectorlength; x++) {
    inputFile.readFile(readLine);
    inputData(readLine, triangleVector[x]);
  }
}

triangleStruct* triangleStruct::returnArray() {
	return triangleVector;
}

int triangleStruct::getNumVectors()
{
  return vectorlength;
}

