// weaponfactory.h: interface for the weaponfactory class.
//
//////////////////////////////////////////////////////////////////////

#if !defined(AFX_WEAPONFACTORY_H__5363B375_D4DE_4010_8D41_EFB9E3FD1F5D__INCLUDED_)
#define AFX_WEAPONFACTORY_H__5363B375_D4DE_4010_8D41_EFB9E3FD1F5D__INCLUDED_

#if _MSC_VER >= 1000
#pragma once
#endif // _MSC_VER >= 1000
#include <GL/glew.h>
#include "coord.h"
#include "weapon.h"
#include "weapondescription.h"
#include "Missile.h"

class Texture;

class weaponfactory  
{
public:
	static void clear();
	Missile * addMissile(int weapontype, Coordinate location, Coordinate heading, Coordinate up, Coordinate left);
	weapondescription * getweapondescription(int weaponnumber);
	weapon * addweapon(int weapontype, Coordinate location, Coordinate heading, Coordinate up, Coordinate left);
	static weaponfactory & getweaponfactory();
	virtual ~weaponfactory();
private:
	static weaponfactory * factory;
	weaponfactory();
   weapondescription **  descriptions;
   int numweapons;
   Texture * missileenginetexture;
};

#endif // !defined(AFX_WEAPONFACTORY_H__5363B375_D4DE_4010_8D41_EFB9E3FD1F5D__INCLUDED_)
