// AIBehavior.h: interface for the AIBehavior class.
//
//////////////////////////////////////////////////////////////////////

#if !defined(AFX_AIBEHAVIOR_H__3A0D58D1_DE8E_49BB_9EA5_FE028F94B3B2__INCLUDED_)
#define AFX_AIBEHAVIOR_H__3A0D58D1_DE8E_49BB_9EA5_FE028F94B3B2__INCLUDED_

#if _MSC_VER >= 1000
#pragma once
#endif // _MSC_VER >= 1000
#include "Targetable.h"
#include "coord.h"

class AIBehavior  
{
public:
	virtual Coordinate getSteeringVector(Targetable * body, Targetable * target);
	virtual void move(Targetable * body, Targetable * target)=0;
	AIBehavior();
	virtual ~AIBehavior();
protected:
	void steerTo(Targetable * object, Coordinate steeringvector);
private:
	bool sameSign(float a, float b);
	float maximum(float amounts[], int num);
};

#endif // !defined(AFX_AIBEHAVIOR_H__3A0D58D1_DE8E_49BB_9EA5_FE028F94B3B2__INCLUDED_)
