// Asteroid.h: interface for the Asteroid class.
//
//////////////////////////////////////////////////////////////////////

#if !defined(AFX_ASTEROID_H__9C7BF237_ED84_47F8_A202_3832A83E9C25__INCLUDED_)
#define AFX_ASTEROID_H__9C7BF237_ED84_47F8_A202_3832A83E9C25__INCLUDED_

#if _MSC_VER >= 1000
#pragma once
#endif // _MSC_VER >= 1000

#include "Object3d.h"


class Asteroid : public Object3d
{
public:
	virtual bool instanceof(InstanceT it);
	float getMass();
	virtual void advance();
	Asteroid(mesh * newmesh, Coordinate location, float newroll, float newpitch, float newyaw, float mass);
	virtual ~Asteroid();
    virtual bool instanceof(char classname [ ]);
};

#endif // !defined(AFX_ASTEROID_H__9C7BF237_ED84_47F8_A202_3832A83E9C25__INCLUDED_)
