// AutoPilotCamera.h: interface for the AutoPilotCamera class.
//
//////////////////////////////////////////////////////////////////////

#if !defined(AFX_AUTOPILOTCAMERA_H__658F9020_ECC7_43E3_9911_7AA8C52AF07E__INCLUDED_)
#define AFX_AUTOPILOTCAMERA_H__658F9020_ECC7_43E3_9911_7AA8C52AF07E__INCLUDED_

#if _MSC_VER >= 1000
#pragma once
#endif // _MSC_VER >= 1000

#include "Camera.h"
#include "coord.h"

class AutoPilotCamera : public Camera  
{
public:
	virtual Coordinate getLocation();
	static Camera * getInstance();
	virtual bool showMovingStars();
	virtual void onCameraChange();
	virtual ~AutoPilotCamera();
	virtual Coordinate getHeading();
   virtual void render();
	virtual Coordinate getUp();
private:
	void advanceCamera();
	AutoPilotCamera();
	static AutoPilotCamera me;
   Coordinate getInitialPosition(Object3d * player);
   Coordinate autopilotcam;
   Coordinate initialup;
   Coordinate newup;
};

#endif // !defined(AFX_AUTOPILOTCAMERA_H__658F9020_ECC7_43E3_9911_7AA8C52AF07E__INCLUDED_)
