// AutoPilotCutScene.h: interface for the AutoPilotCutScene class.
//
//////////////////////////////////////////////////////////////////////

#if !defined(AFX_AUTOPILOTCUTSCENE_H__92113AE8_47AE_4AEB_91B6_C3F976A8502D__INCLUDED_)
#define AFX_AUTOPILOTCUTSCENE_H__92113AE8_47AE_4AEB_91B6_C3F976A8502D__INCLUDED_

#if _MSC_VER >= 1000
#pragma once
#endif // _MSC_VER >= 1000

#include "CutScene.h"
#include "Object3d.h"
#include "Camera.h"
#include "Time.h"

class AutoPilotCutScene : public CutScene  
{
public:
	void setWing(Object3d * wingmen[], int numwingmen);
	void setPlayer(Object3d * newplayer);
	virtual bool isDone();
	virtual void start();
	AutoPilotCutScene(Camera * newcamera);
	virtual ~AutoPilotCutScene();
   virtual bool instanceof(char classname[]);
private:
   TimeValue starttime;
   TimeValue duration;
   Object3d * player;
   Object3d * * wingmen;
   int numwingmen;
   Camera * camera;
};

#endif // !defined(AFX_AUTOPILOTCUTSCENE_H__92113AE8_47AE_4AEB_91B6_C3F976A8502D__INCLUDED_)
