// Billboard.h: interface for the Billboard class.
//
//////////////////////////////////////////////////////////////////////

#if !defined(AFX_BILLBOARD_H__029903EF_DC85_4CBC_8E73_32994926B4DA__INCLUDED_)
#define AFX_BILLBOARD_H__029903EF_DC85_4CBC_8E73_32994926B4DA__INCLUDED_

#if _MSC_VER >= 1000
#pragma once
#endif // _MSC_VER >= 1000

#include "coord.h"
#include "Texture.h"

class Billboard  
{
public:
	void render();
	Billboard(char filename[], Coordinate relative_location);
	virtual ~Billboard();
private:
   Coordinate location;
   Texture * texture;
   float width, height;
};

#endif // !defined(AFX_BILLBOARD_H__029903EF_DC85_4CBC_8E73_32994926B4DA__INCLUDED_)
