// Image.h: interface for the Image class.
//
//////////////////////////////////////////////////////////////////////

#if !defined(AFX_BMPIMAGE_H__CB571D2B_E4B2_451C_932E_72AD1F8A1481__INCLUDED_)
#define AFX_BMPIMAGE_H__CB571D2B_E4B2_451C_932E_72AD1F8A1481__INCLUDED_

#if _MSC_VER >= 1000
#pragma once
#endif // _MSC_VER >= 1000

#include "Image.h"
#include <GL/glew.h>
#include "Texture.h"

class BmpImage  : public Image
{
public:
	 BmpImage(GLubyte * bits, int width, int height);
	 BmpImage(char filename[], int width, int height);
	virtual int getHeight();
	virtual int getWidth();
	virtual void render(float x, float y);
   BmpImage(char filename[]);
	virtual ~BmpImage();
   virtual void recycle(GLubyte * bits, int width, int height);
private:
  Texture * texture;
  int width;
  int height;
};

#endif // !defined(AFX_IMAGE_H__CB571D2B_E4B2_451C_932E_72AD1F8A1481__INCLUDED_)
