// CampaignPanel.h: interface for the CampaignPanel class.
//
//////////////////////////////////////////////////////////////////////

#if !defined(AFX_CAMPAIGNPANEL_H__82E04CDC_F070_4A50_BC9C_0509D824079B__INCLUDED_)
#define AFX_CAMPAIGNPANEL_H__82E04CDC_F070_4A50_BC9C_0509D824079B__INCLUDED_

#if _MSC_VER >= 1000
#pragma once
#endif // _MSC_VER >= 1000

#include "Panel.h"

class CampaignPanel  : public Panel
{
public:
	string getCampaignName();
	bool campaignChanged();
	virtual void onCancel();
	virtual void onConfirm();
	CampaignPanel();
	virtual ~CampaignPanel();
	virtual void onLineClick(int linenumber);
private:
	void getCampaignNames();
   string * campaignfiles;
   string * campaigntitles;
   int numcampaigns;
   string newcampaign;
   bool campaignchanged;
};

#endif // !defined(AFX_CAMPAIGNPANEL_H__82E04CDC_F070_4A50_BC9C_0509D824079B__INCLUDED_)
