// CampaignXmlAdapater.h: interface for the CampaignXmlAdapater class.
//
//////////////////////////////////////////////////////////////////////

#if !defined(AFX_CAMPAIGNXMLADAPATER_H__26F4D788_D72D_48DA_8E62_931060480C2A__INCLUDED_)
#define AFX_CAMPAIGNXMLADAPATER_H__26F4D788_D72D_48DA_8E62_931060480C2A__INCLUDED_

#if _MSC_VER >= 1000
#pragma once
#endif // _MSC_VER >= 1000

#include "HandlerBase.h"
#include <string>
#include "Rect.h"

using std::string;
using namespace SAX;


class CampaignXmlAdapater  : public HandlerBase
{
public:
	string getTitle();
	string * getLose();
	string * getWins();
	string * getNames();
	int getNumMissions();
	CampaignXmlAdapater(char filename[]);
	virtual ~CampaignXmlAdapater();
   virtual void startDocument();
	virtual void endDocument();
	virtual void startElement(const std::string& name, const SAX::AttributeList* atts);
	virtual void endElement(const std::string& name);
	virtual void characters(const std::string& ch);
private:
   int nummissions;
   string title;
   string * missions;
   string * win;
   string * lose;
   int currentmission;
};

#endif // !defined(AFX_CAMPAIGNXMLADAPATER_H__26F4D788_D72D_48DA_8E62_931060480C2A__INCLUDED_)
