// CenteredReticle.h: interface for the CenteredReticle class.
//
//////////////////////////////////////////////////////////////////////

#if !defined(AFX_CENTEREDRETICLE_H__D2FF811E_07D1_4898_B1C2_3843056E7BC9__INCLUDED_)
#define AFX_CENTEREDRETICLE_H__D2FF811E_07D1_4898_B1C2_3843056E7BC9__INCLUDED_

#if _MSC_VER >= 1000
#pragma once
#endif // _MSC_VER >= 1000

#include "Reticle.h"

class Image;

class CenteredReticle : public Reticle  
{
public:
	virtual void render(Rect & rectangle, float lock_percentage);
	CenteredReticle(char imagename[]);
	virtual ~CenteredReticle();
private:
   Image * topimage;
   Image * leftimage;
   Image * rightimage;
   Image * bottomimage;
};

#endif // !defined(AFX_CENTEREDRETICLE_H__D2FF811E_07D1_4898_B1C2_3843056E7BC9__INCLUDED_)
