// ChaseCamera.h: interface for the ChaseCamera class.
//
//////////////////////////////////////////////////////////////////////

#if !defined(AFX_CHASECAMERA_H__A1B3B7C3_4E28_4A3C_9F10_2A015E01892D__INCLUDED_)
#define AFX_CHASECAMERA_H__A1B3B7C3_4E28_4A3C_9F10_2A015E01892D__INCLUDED_

#if _MSC_VER >= 1000
#pragma once
#endif // _MSC_VER >= 1000

#include "Camera.h"
#include "coord.h"	// Added by ClassView

class ChaseCamera : public Camera  
{
public:
	virtual Coordinate getLocation();
	static Camera * getInstance();
	virtual void render();
	virtual ~ChaseCamera();
	virtual Coordinate getHeading();
private:
	float getHeightOffset();
	float getRadius();
   static ChaseCamera me;
	ChaseCamera();
};

#endif // !defined(AFX_CHASECAMERA_H__A1B3B7C3_4E28_4A3C_9F10_2A015E01892D__INCLUDED_)
