// CommHandler.h: interface for the CommHandler class.
//
//////////////////////////////////////////////////////////////////////

#if !defined(AFX_COMMHANDLER_H__78C9B973_6381_465A_8B37_137D2C8840C0__INCLUDED_)
#define AFX_COMMHANDLER_H__78C9B973_6381_465A_8B37_137D2C8840C0__INCLUDED_

#if _MSC_VER >= 1000
#pragma once
#endif // _MSC_VER >= 1000


#include "ship.h"
#include "PlayerComm.h"
#include "Mission.h"

class CommHandler  
{
public:
	void update();
	void taunt();
	void requestLanding();
	void help();
	void attackMyTarget();
	void wingStatus();
	void targetStatus();
	void formOnMyWing();
	void breakAndAttack();
	CommHandler();
	virtual ~CommHandler();
private:
	void doStatus(ship * target);
  ship * player ;
  ship * * wingmen;
  int numwingmen;
  PlayerComm * comms;
  bool enemies_here ;
  Mission * mission;
};

#endif // !defined(AFX_COMMHANDLER_H__78C9B973_6381_465A_8B37_137D2C8840C0__INCLUDED_)
