// ConstantForceEffect.cpp: implementation of the ConstantForceEffect class.
//
//////////////////////////////////////////////////////////////////////

#include "ConstantForceEffect.h"

//////////////////////////////////////////////////////////////////////
// Construction/Destruction
//////////////////////////////////////////////////////////////////////

ConstantForceEffect::ConstantForceEffect(IDirectInputEffect * newieffect)
: DirectionalForceEffect(newieffect)
{
  eff.lpvTypeSpecificParams = &constantforce;
  eff.cbTypeSpecificParams = sizeof(constantforce);
}

ConstantForceEffect::~ConstantForceEffect()
{

}


void ConstantForceEffect::setConstant(int magnitude)
{
  constantforce.lMagnitude = magnitude;
}