// Constants.cpp: implementation of the Constants class.
//
//////////////////////////////////////////////////////////////////////


#include "Constants.h"

using std::string;
//////////////////////////////////////////////////////////////////////
// Construction/Destruction
//////////////////////////////////////////////////////////////////////

ConstantXmlAdapter Constants::adapter("constants.xml");

float Constants::distance_factor =  adapter.getDistanceFactor();
float Constants::angle_factor = adapter.getAngleFactor();
float Constants::time_factor = adapter.getTimeFactor();
string Constants::good_eject = adapter.getGoodEject();
string Constants::bad_eject = adapter.getBadEject();
float Constants::reciprocal_distance_factor =  1.0f / adapter.getDistanceFactor();


Constants::Constants()
{

}

Constants::~Constants()
{

}

string Constants::getGoodEject()
{
  return good_eject;
}

string Constants::getBadEject()
{
  return bad_eject;
}
