// Constants.h: interface for the Constants class.
//
//////////////////////////////////////////////////////////////////////

#if !defined(AFX_CONSTANTS_H__803F73DA_33CF_45D5_939F_438A947B83D6__INCLUDED_)
#define AFX_CONSTANTS_H__803F73DA_33CF_45D5_939F_438A947B83D6__INCLUDED_

#include "ConstantXmlAdapter.h"	// Added by ClassView
#if _MSC_VER >= 1000
#pragma once
#endif // _MSC_VER >= 1000

#include <string>

class Constants  
{
public:
	static string getBadEject();
	static string getGoodEject();
   static float getReciprocalDistanceFactor(){return reciprocal_distance_factor;}
   static float getDistanceFactor(){return distance_factor;}
   static float getAngleFactor(){return angle_factor;}
   static float getTimeFactor(){return time_factor;}
	virtual ~Constants();
private:
	static ConstantXmlAdapter adapter;
   static float distance_factor, angle_factor, time_factor, reciprocal_distance_factor;
   static std::string good_eject, bad_eject;
   Constants();
};

#endif // !defined(AFX_CONSTANTS_H__803F73DA_33CF_45D5_939F_438A947B83D6__INCLUDED_)
