// Cube.h: interface for the Cube class.
//
//////////////////////////////////////////////////////////////////////

#if !defined(AFX_CUBE_H__DCF83F38_3D0D_4DF7_B231_6E0567B6EA7F__INCLUDED_)
#define AFX_CUBE_H__DCF83F38_3D0D_4DF7_B231_6E0567B6EA7F__INCLUDED_

#if _MSC_VER >= 1000
#pragma once
#endif // _MSC_VER >= 1000
#include <GL/glew.h>
#include "Texture.h"

void glutSolidCube2(GLdouble size);


class Cube  
{
public:
	void render();
	Cube(float size, Texture * tex);
	virtual ~Cube();
private:
   void drawBox(GLfloat size, Texture * tex) ;  
   int mydisplaylist;
};

#endif // !defined(AFX_CUBE_H__DCF83F38_3D0D_4DF7_B231_6E0567B6EA7F__INCLUDED_)
