// CubeMap.h: interface for the CubeMap class.
//
//////////////////////////////////////////////////////////////////////

#if !defined(AFX_CUBEMAP_H__F8A7D68B_4874_4FD3_B66A_12CC8B7506A7__INCLUDED_)
#define AFX_CUBEMAP_H__F8A7D68B_4874_4FD3_B66A_12CC8B7506A7__INCLUDED_

#if _MSC_VER >= 1000
#pragma once
#endif // _MSC_VER >= 1000

class CubeMap  
{
public:
	static CubeMap * getEnvironmentMap();
	static void setEnvironmentMap(CubeMap * env);
	void render();
	void copyFromScreen(int facenumber, int width, int height);
	 CubeMap();
	void disable();
	void enable();
	CubeMap(char bmpfilename[]);
	virtual ~CubeMap();
private:
  GLuint mydisplaylist;
  static CubeMap * env;

};

#endif // !defined(AFX_CUBEMAP_H__F8A7D68B_4874_4FD3_B66A_12CC8B7506A7__INCLUDED_)
