// Decoy.h: interface for the Decoy class.
//
//////////////////////////////////////////////////////////////////////

#if !defined(AFX_DECOY_H__9F189A8B_4488_406C_8413_59C168719193__INCLUDED_)
#define AFX_DECOY_H__9F189A8B_4488_406C_8413_59C168719193__INCLUDED_

#if _MSC_VER >= 1000
#pragma once
#endif // _MSC_VER >= 1000

#include <GL/glew.h>
#include "Object3d.h"
#include "Time.h"

class Texture;

#define NUMDECOYTEX 7
#define NUMDECOYFRAMES 32

class Decoy : public Object3d  
{
public:
	static void clear();
	virtual void advance();
	virtual void render();
	virtual bool instanceof(InstanceT it);
	Decoy();
	virtual ~Decoy();
private:   
   static Texture * texture[NUMDECOYTEX];
   TimeValue starttime;
   TimeValue endtime;
   TimeValue duration;
   static int indices[NUMDECOYFRAMES];
   static bool initialized;
};

#endif // !defined(AFX_DECOY_H__9F189A8B_4488_406C_8413_59C168719193__INCLUDED_)
