// EjectionPod.h: interface for the EjectionPod class.
//
//////////////////////////////////////////////////////////////////////

#if !defined(AFX_EJECTIONPOD_H__7CCC8DFB_0FC1_494D_91DA_65F06E9A24E4__INCLUDED_)
#define AFX_EJECTIONPOD_H__7CCC8DFB_0FC1_494D_91DA_65F06E9A24E4__INCLUDED_

#if _MSC_VER >= 1000
#pragma once
#endif // _MSC_VER >= 1000

#include "Targetable.h"
#include <string>
class ship;

class EjectionPod : public Targetable  
{
public:
	static void clear();
	EjectionPod(std::string newname, Coordinate location, Coordinate heading, Coordinate up, Coordinate left);
	virtual ~EjectionPod();
	virtual Color getRadarColor(ship * player);
	virtual Targetable * getTarget(){ return NULL;};
	virtual void targetDestroyed(){}
    virtual bool instanceof(InstanceT it);
private:
	mesh * getEjectMesh();
	static mesh * ejectmesh;


};

#endif // !defined(AFX_EJECTIONPOD_H__7CCC8DFB_0FC1_494D_91DA_65F06E9A24E4__INCLUDED_)
