// FontFactory.h: interface for the FontFactory class.
//
//////////////////////////////////////////////////////////////////////

#if !defined(AFX_FONTFACTORY_H__F09B2624_CD93_405A_9FDB_71D3ACFDFD7A__INCLUDED_)
#define AFX_FONTFACTORY_H__F09B2624_CD93_405A_9FDB_71D3ACFDFD7A__INCLUDED_

#if _MSC_VER >= 1000
#pragma once
#endif // _MSC_VER >= 1000

class Font;

class FontFactory  
{
public:
	Font * getLargeFont();
	static void clear();
	Font * getFont();
	static FontFactory & getInstance();
	virtual ~FontFactory();
private:
	FontFactory();
	static FontFactory * instance;
	Font * font;
	Font * bigfont;
};

#endif // !defined(AFX_FONTFACTORY_H__F09B2624_CD93_405A_9FDB_71D3ACFDFD7A__INCLUDED_)
