// ForceEffect.h: interface for the ForceEffect class.
//
//////////////////////////////////////////////////////////////////////

#if !defined(AFX_FORCEEFFECT_H__405E1292_7E2C_47DB_B952_8B412A3425E2__INCLUDED_)
#define AFX_FORCEEFFECT_H__405E1292_7E2C_47DB_B952_8B412A3425E2__INCLUDED_

#if _MSC_VER >= 1000
#pragma once
#endif // _MSC_VER >= 1000

#ifdef WIN32
#include <windows.h>
#include "dinput.h"
#endif


class ForceEffect  
{
public:
	int getDelay();
	virtual bool isPlaying();
	virtual void setDelay(int start_delay);
	virtual void setDuration(int duration);
	/** Sends parameter updates to an already playing effect */
	virtual void update();
	virtual void stop();
	virtual void play();
	virtual ~ForceEffect();
protected:
#ifdef WIN32
    ForceEffect(IDirectInputEffect * newieffect);
    DIEFFECT eff;
	DWORD dwFlags;
    DWORD dwAxes[2];

    void setParameters();      
private:
    IDirectInputEffect * ieffect;
	int delay;
#endif
};

#endif // !defined(AFX_FORCEEFFECT_H__405E1292_7E2C_47DB_B952_8B412A3425E2__INCLUDED_)
