// ImageFactory.cpp: implementation of the ImageFactory class.
//
//////////////////////////////////////////////////////////////////////

#include "ImageFactory.h"
#include "Image.h"
#include "BmpImage.h"
#include "TransparentImage.h"
#include <string.h>

//////////////////////////////////////////////////////////////////////
// Construction/Destruction
//////////////////////////////////////////////////////////////////////

ImageFactory::ImageFactory()
{

}

ImageFactory::~ImageFactory()
{

}


Image * ImageFactory::getImage(char filename[], int width, int height)
{
  return new BmpImage(filename, width, height);
}

Image * ImageFactory::getImage(char filename[])
{
      return new BmpImage(filename);
}

Image * ImageFactory::getTransparentImage(char filename [ ], Color color)
{
  return new TransparentImage(filename, color);
}
