// ImageFactory.h: interface for the ImageFactory class.
//
//////////////////////////////////////////////////////////////////////

#if !defined(AFX_IMAGEFACTORY_H__3826002A_534A_49E3_B7A9_05D07D206AC9__INCLUDED_)
#define AFX_IMAGEFACTORY_H__3826002A_534A_49E3_B7A9_05D07D206AC9__INCLUDED_

class Image;
class Color;

class ImageFactory  
{
public:
	static Image * getTransparentImage(char filename[], Color color);
	virtual ~ImageFactory();
   static Image * getImage(char filename[]);
   static Image * getImage(char filename[], int width, int height);
private:
	ImageFactory();
};

#endif // !defined(AFX_IMAGEFACTORY_H__3826002A_534A_49E3_B7A9_05D07D206AC9__INCLUDED_)
