// JoystickRange.cpp: implementation of the JoystickRange class.
//
//////////////////////////////////////////////////////////////////////

#include "JoystickRange.h"

//////////////////////////////////////////////////////////////////////
// Construction/Destruction
//////////////////////////////////////////////////////////////////////

JoystickRange::JoystickRange(int newmin, int newmax)
{
  min = newmin;
  max = newmax;
  middle = (max + min)/2;
  interval = (float) max - (float) min;
}


JoystickRange::~JoystickRange()
{

}

float JoystickRange::getPositionPercentageSigned(int position)
{
   return ((float)(position - middle))/interval;
}

int JoystickRange::getMin()
{
  return min;
}

int JoystickRange::getMax()
{
  return max;
}

float JoystickRange::getPositionPercentage(int position)
{

   return 1.0f - ((float)(position))/interval;
}
