// LensFlare.h: interface for the LensFlare class.
//
//////////////////////////////////////////////////////////////////////

#if !defined(AFX_LENSFLARE_H__3B9D65AE_70D1_4468_BB42_C7E6CCFEA192__INCLUDED_)
#define AFX_LENSFLARE_H__3B9D65AE_70D1_4468_BB42_C7E6CCFEA192__INCLUDED_

#if _MSC_VER >= 1000
#pragma once
#endif // _MSC_VER >= 1000

#include "coord.h"
#include <GL/glew.h>
class Image;

class LensFlare  
{
public:
	void render();
	LensFlare();
	virtual ~LensFlare();
private:
	void switchTo3dMode();
	void switchTo2dMode();
	void render(Coordinate screencenter, Coordinate lightlocation, Color starcolor);
	void render(Image * image, float percent, Color newcolor, float scale);
	Image * halo;
	Image * hardglow;
	Image * bigglow;
	Image * streak;
	Coordinate center;
	Coordinate light;
};

#endif // !defined(AFX_LENSFLARE_H__3B9D65AE_70D1_4468_BB42_C7E6CCFEA192__INCLUDED_)
