// Listener.cpp: implementation of the Listener class.
//
//////////////////////////////////////////////////////////////////////

#include "Listener.h"
#ifdef HAS_BASS
#include "bass.h"
#endif
#include <iostream.h>
#include "Settings.h"

//////////////////////////////////////////////////////////////////////
// Construction/Destruction
//////////////////////////////////////////////////////////////////////

Listener::Listener()
{

}

Listener::~Listener()
{

}

void Listener::render()
{
#ifdef HAS_BASS
   if(! Settings::getSettings()->getSound() )
   {
      return;
   }

  BASS_3DVECTOR pos, vel, front, top;

  fillInBass(pos, front, vel);
  top = toBass(up);

  if(! BASS_Set3DPosition(&pos, &vel, &front, &top) )
  {
     cout << "Bad set 3d position" << endl;
  }
  BASS_Apply3D();
#endif
}
