// MP3Music.h: interface for the MP3Music class.
//
//////////////////////////////////////////////////////////////////////

#if !defined(AFX_MP3MUSIC_H__78BBB414_E12B_4A96_B260_4D6D53B024D5__INCLUDED_)
#define AFX_MP3MUSIC_H__78BBB414_E12B_4A96_B260_4D6D53B024D5__INCLUDED_

#if _MSC_VER >= 1000
#pragma once
#endif // _MSC_VER >= 1000

#include "Music.h"

#ifdef HAS_BASS
#include "bass.h"
#endif

#ifdef HAS_FMOD
#include "fmod.h"
#endif

class MP3Music : public Music  
{
public:
	virtual bool isPlaying();
	virtual void stop();
	virtual void play();
	MP3Music(char filename[], bool repeat);
	virtual ~MP3Music();
private:
#ifdef HAS_BASS
	HSTREAM stream;
#endif
#ifdef HAS_FMOD
    FSOUND_STREAM * stream;
#endif
	bool loop;

};

#endif // !defined(AFX_MP3MUSIC_H__78BBB414_E12B_4A96_B260_4D6D53B024D5__INCLUDED_)
