// NavGrid.h: interface for the NavGrid class.
//
//////////////////////////////////////////////////////////////////////

#if !defined(AFX_NAVGRID_H__0196EB85_62B4_4180_967F_9EF283EEBC4C__INCLUDED_)
#define AFX_NAVGRID_H__0196EB85_62B4_4180_967F_9EF283EEBC4C__INCLUDED_

#if _MSC_VER >= 1000
#pragma once
#endif // _MSC_VER >= 1000

#include "Time.h"
#include "Object3d.h"
#include <vector>
#include "BriefingShip.h"
#include "BriefingNavPoint.h"

class Circle;


class NavGrid : public Object3d  
{
public:
	virtual bool NavGrid::instanceof(InstanceT it);
	virtual void advance();
	virtual void render();
	NavGrid(char filename[]);
	virtual ~NavGrid();
    virtual bool instanceof(char classname [ ]);
private:
	void renderGrid();
	std::vector<BriefingNavPoint *> * navs;
//    Coordinate navs[3];
//	Circle * circles[3];
	int currentfrom;
	TimeValue start;
	double s;
	bool rotatemode;
	std::vector<BriefingShip *> * wingmen;
	BriefingShip * player;
	int mydisplaylist;
};

#endif // !defined(AFX_NAVGRID_H__0196EB85_62B4_4180_967F_9EF283EEBC4C__INCLUDED_)
