// NavPoint.h: interface for the NavPoint class.
//
//////////////////////////////////////////////////////////////////////

#if !defined(AFX_NAVPOINT_H__C79B922E_E5D2_4315_BC8C_DF0664BC6781__INCLUDED_)
#define AFX_NAVPOINT_H__C79B922E_E5D2_4315_BC8C_DF0664BC6781__INCLUDED_


#if _MSC_VER >= 1000
#pragma once
#endif // _MSC_VER >= 1000

#include "coord.h"	// Added by ClassView
#include "ShipInfo.h"
#include "AsteroidBeltInfo.h"	// Added by ClassView

class NavPoint  
{
public:
	AsteroidBeltInfo getAsteroidInfo();
	bool hasAsteroidBelt();
	int getNumShips();
	ShipInfo getShipInfo(int index);

	NavPoint(int numships, ShipInfo * shipinfos, Coordinate newlocation);
	NavPoint(int numships, ShipInfo * shipinfos, Coordinate newlocation, AsteroidBeltInfo newastinfo);
	virtual ~NavPoint();
private:
	Coordinate location;
   int numships;
   ShipInfo * shipinfos;
   bool asteroidvalid;
   AsteroidBeltInfo asteroidinfo;

};

#endif // !defined(AFX_NAVPOINT_H__C79B922E_E5D2_4315_BC8C_DF0664BC6781__INCLUDED_)
