// PngImage.h: interface for the PngImage class.
//
//////////////////////////////////////////////////////////////////////

#if !defined(AFX_PNGIMAGE_H__F2A642A9_A69C_4DFE_86F7_71C2710C0AFB__INCLUDED_)
#define AFX_PNGIMAGE_H__F2A642A9_A69C_4DFE_86F7_71C2710C0AFB__INCLUDED_

#if _MSC_VER >= 1000
#pragma once
#endif // _MSC_VER >= 1000

#include "Image.h"
#include "glpng.h"
#include "Texture.h"

class PngImage : public Image  
{
public:
	virtual void render(float x, float y);
	virtual int getHeight();
	virtual int getWidth();
	PngImage(char filename[]);
	virtual ~PngImage();
private:
   pngRawInfo pngdata;
   Texture * texture;
};

#endif // !defined(AFX_PNGIMAGE_H__F2A642A9_A69C_4DFE_86F7_71C2710C0AFB__INCLUDED_)
