// Predictor.cpp: implementation of the Predictor class.
//
//////////////////////////////////////////////////////////////////////

#include "Predictor.h"

//////////////////////////////////////////////////////////////////////
// Construction/Destruction
//////////////////////////////////////////////////////////////////////

Predictor::Predictor()
{

}

Predictor::~Predictor()
{

}

Coordinate Predictor::getDesiredHeading(
	Coordinate myposition, float myvelocity, 
	Coordinate theirposition, float theirvelocity, Coordinate theirheading, float time)
{
	Coordinate desiredheading;

	desiredheading.x = 
		(theirposition.x + theirvelocity * theirheading.x * time  - myposition.x) /
         myvelocity * time;
	desiredheading.y = 
		(theirposition.y + theirvelocity * theirheading.y * time  - myposition.y) /
         myvelocity * time;

	desiredheading.z = 
		(theirposition.z + theirvelocity * theirheading.z * time  - myposition.z) /
         myvelocity * time;

	desiredheading.normalize();
	return desiredheading;
}
