// PursueBehavior.h: interface for the PursueBehavior class.
//
//////////////////////////////////////////////////////////////////////

#if !defined(AFX_PURSUEBEHAVIOR_H__DCEE697F_D341_45A9_A818_9A563A9F276D__INCLUDED_)
#define AFX_PURSUEBEHAVIOR_H__DCEE697F_D341_45A9_A818_9A563A9F276D__INCLUDED_

#if _MSC_VER >= 1000
#pragma once
#endif // _MSC_VER >= 1000

#include "SeekBehavior.h"
#include "coord.h"	// Added by ClassView

class PursueBehavior : public SeekBehavior  
{
public:
	virtual Coordinate getSteeringVector(Targetable * me, Targetable * target);
	void setPursuitOffset(Coordinate offset);
	virtual void move(Targetable * body, Targetable * target);
	PursueBehavior();
	virtual ~PursueBehavior();
private:
   Coordinate offset;
   bool setoffset;
};

#endif // !defined(AFX_PURSUEBEHAVIOR_H__DCEE697F_D341_45A9_A818_9A563A9F276D__INCLUDED_)
