// PursueWhenStrongBehavior.h: interface for the PursueWhenStrongBehavior class.
//
//////////////////////////////////////////////////////////////////////

#if !defined(AFX_PURSUEWHENSTRONGBEHAVIOR_H__D27730E4_0BB4_42E7_8878_DE88298FAF12__INCLUDED_)
#define AFX_PURSUEWHENSTRONGBEHAVIOR_H__D27730E4_0BB4_42E7_8878_DE88298FAF12__INCLUDED_

#if _MSC_VER >= 1000
#pragma once
#endif // _MSC_VER >= 1000

#include "AIBehavior.h"
#include "WanderBehavior.h"
#include "coord.h"	// Added by ClassView
#include "PursueBehavior.h"

class PursueWhenStrongBehavior  : public AIBehavior
{
public:
	PursueWhenStrongBehavior();
	virtual ~PursueWhenStrongBehavior();
	virtual void move(Targetable * body, Targetable * target);
private:
	Coordinate getPursuitOffset(Targetable * body, Targetable * target);
   WanderBehavior wander;
   PursueBehavior pursue;
};

#endif // !defined(AFX_PURSUEWHENSTRONGBEHAVIOR_H__D27730E4_0BB4_42E7_8878_DE88298FAF12__INCLUDED_)
