// RampForceEffect.cpp: implementation of the RampForceEffect class.
//
//////////////////////////////////////////////////////////////////////

#include "RampForceEffect.h"

//////////////////////////////////////////////////////////////////////
// Construction/Destruction
//////////////////////////////////////////////////////////////////////

RampForceEffect::RampForceEffect(IDirectInputEffect * newieffect)
: DirectionalForceEffect(newieffect)
{
  eff.lpvTypeSpecificParams = &ramp;
  eff.cbTypeSpecificParams = sizeof(DIRAMPFORCE);

}

RampForceEffect::~RampForceEffect()
{

}

void RampForceEffect::setStart(int start)
{
  ramp.lStart = start;
}

void RampForceEffect::setEnd(int end)
{
  ramp.lEnd = end;
}
