// Rect.cpp: implementation of the Rect class.
//
//////////////////////////////////////////////////////////////////////

#include <GL/glew.h>
#include "Rect.h"
#include "glut.h"
#include "glerr.h"


//////////////////////////////////////////////////////////////////////
// Construction/Destruction
//////////////////////////////////////////////////////////////////////

Rect::Rect()
  : x(0), y(0), width(0), height(0)
{

}

Rect::Rect(int newx, int newy, int newwidth, int newheight) 
  : x(newx), y (newy), width(newwidth), height(newheight)
{

}


Rect::~Rect()
{

}


bool Rect::inside(int newx, int newy)
{
  if(newx < x || newx > x + width || newy < y || newy > y + height)
    return false;
  return true;
}

void Rect::render()
{
  glBegin(GL_LINE_LOOP);
    glVertex2f(x, y);
    glVertex2f(x + width, y);  
    glVertex2f(x + width, y + height);  
    glVertex2f(x, y + height);  
  glEnd();
  GLERRORCHECK
}

