// SaveGameXmlAdapter.h: interface for the SaveGameXmlAdapter class.
//
//////////////////////////////////////////////////////////////////////

#if !defined(AFX_SAVEGAMEXMLADAPTER_H__DC88FAD6_D2B3_407B_86A8_05A558E46D95__INCLUDED_)
#define AFX_SAVEGAMEXMLADAPTER_H__DC88FAD6_D2B3_407B_86A8_05A558E46D95__INCLUDED_

#if _MSC_VER >= 1000
#pragma once
#endif // _MSC_VER >= 1000

#include "HandlerBase.h"
#include <string>

using namespace SAX;
using std::string;


class SaveGameXmlAdapter : public HandlerBase
{
public:
	string * getCampaigns();
	string * getMissions();
	string * getNames();
	int getNumSaves();
	SaveGameXmlAdapter(char xmlfilename[]);
	virtual ~SaveGameXmlAdapter();
   virtual void startDocument();
	virtual void endDocument();
	virtual void startElement(const std::string& name, const SAX::AttributeList* atts);
	virtual void endElement(const std::string& name);
	virtual void characters(const std::string& ch);
private:
   string * names;
   string * missions;
   string * campaigns;
   int numsaves;
   int lastname;
   int lastmission;
   int lastcampaign;
};

#endif // !defined(AFX_SAVEGAMEXMLADAPTER_H__DC88FAD6_D2B3_407B_86A8_05A558E46D95__INCLUDED_)
