// SavePanel.h: interface for the SavePanel class.
//
//////////////////////////////////////////////////////////////////////

#if !defined(AFX_SavePanel_H__4370AA0D_8231_46DB_9058_E83D99FF4522__INCLUDED_)
#define AFX_SavePanel_H__4370AA0D_8231_46DB_9058_E83D99FF4522__INCLUDED_

#if _MSC_VER >= 1000
#pragma once
#endif // _MSC_VER >= 1000

#include "Panel.h"
#include "SaveGameXmlAdapter.h"

class SavePanel : public Panel  
{
public:
	virtual bool onKeyboard(unsigned char key, int x, int y);
	void setMission(string name);
	void setCampaign(string name);
	void update();
	SavePanel();
	virtual ~SavePanel();
	virtual void onCancel();
	virtual void onConfirm();
	virtual void onLineClick(int linenumber);
private:
	void write();
   SaveGameXmlAdapter * adapter;
   bool selected;
   int selection;
   string campaign;
   string mission;
};

#endif // !defined(AFX_SavePanel_H__4370AA0D_8231_46DB_9058_E83D99FF4522__INCLUDED_)
