// Sector.h: interface for the Sector class.
//
//////////////////////////////////////////////////////////////////////

#if !defined(AFX_SECTOR_H__3C74A0A7_2D84_4F86_886C_FDBF5C3F4C3A__INCLUDED_)
#define AFX_SECTOR_H__3C74A0A7_2D84_4F86_886C_FDBF5C3F4C3A__INCLUDED_

#if _MSC_VER >= 1000
#pragma once
#endif // _MSC_VER >= 1000

#include <GL/glew.h>
#include "Texture.h"
#include "Light.h"

class WorldOrientedBillboard;

class Sector  
{
public:
	void createLights();
	bool showStars();
	void renderPlanets();
	Texture * getBackgroundTexture();
	Sector(char filename[]);
	virtual ~Sector();
private:
   WorldOrientedBillboard * * planets;
   // only keep track of for deleteion 
   Light * * lights;
   int numplanets;
   int numlights;
   Texture * background;
   bool show_stars;
};

#endif // !defined(AFX_SECTOR_H__3C74A0A7_2D84_4F86_886C_FDBF5C3F4C3A__INCLUDED_)
