// SoundObject3d.cpp: implementation of the SoundObject3d class.
//
//////////////////////////////////////////////////////////////////////

#include "SoundObject3d.h"

//////////////////////////////////////////////////////////////////////
// Construction/Destruction
//////////////////////////////////////////////////////////////////////

SoundObject3d::SoundObject3d()
{

}

SoundObject3d::~SoundObject3d()
{

}

void SoundObject3d::setPosition(Coordinate coord)
{
  position = coord;
}

void SoundObject3d::setHeading(Coordinate coord)
{
  heading = coord;
}

void SoundObject3d::setVelocity(Coordinate coord)
{
  velocity = coord;
}

void SoundObject3d::setUp(Coordinate coord)
{
  up = coord;
}

#ifdef HAS_BASS

void SoundObject3d::fillInBass(BASS_3DVECTOR & basspos, BASS_3DVECTOR & bassheading, BASS_3DVECTOR & bassvel)
{
  basspos.x = position.x;
  basspos.y = position.y;
  basspos.z = position.z;

  bassheading.x = heading.x;
  bassheading.y = heading.y;
  bassheading.z = heading.z;

  bassvel.x = velocity.x;
  bassvel.y = velocity.y;
  bassvel.z = velocity.z;

}

BASS_3DVECTOR SoundObject3d::toBass(Coordinate coord)
{
  BASS_3DVECTOR returnvalue;

  returnvalue.x = coord.x;
  returnvalue.y = coord.y;
  returnvalue.z = coord.z;
  return returnvalue;
}

#endif /* bass */
