// SplashScreen.h: interface for the SplashScreen class.
//
//////////////////////////////////////////////////////////////////////

#if !defined(AFX_SPLASHSCREEN_H__F61661E3_1B55_4A68_8398_E43F145258B7__INCLUDED_)
#define AFX_SPLASHSCREEN_H__F61661E3_1B55_4A68_8398_E43F145258B7__INCLUDED_

#if _MSC_VER >= 1000
#pragma once
#endif // _MSC_VER >= 1000
#include <GL/glew.h>
#include "EventListener.h"
class Image;
class GameFlow;
#include "Music.h"

class SplashScreen : public EventListener  
{
public:
	virtual void onMouseDown(int button, int state, int x, int y);
	virtual void onKeyboard(unsigned char key, int x, int y);
	virtual void onDisplay();
	SplashScreen();
	virtual ~SplashScreen();
private:
	Image * image;
	GameFlow * gameflow;
    Music * music;

};

#endif // !defined(AFX_SPLASHSCREEN_H__F61661E3_1B55_4A68_8398_E43F145258B7__INCLUDED_)
