// StatusComm.h: interface for the StatusComm class.
//
//////////////////////////////////////////////////////////////////////

#if !defined(AFX_STATUSCOMM_H__1641D636_1A39_483E_936B_FCD04AA4ABAD__INCLUDED_)
#define AFX_STATUSCOMM_H__1641D636_1A39_483E_936B_FCD04AA4ABAD__INCLUDED_

#if _MSC_VER >= 1000
#pragma once
#endif // _MSC_VER >= 1000

#include "Comm.h"

class StatusComm : public Comm  
{
public:
	void statusMedium();
	void statusBad();
	void statusGood();
	StatusComm(char name[], char videofile[], char label[]);
	virtual ~StatusComm();
private:
    SoundEffect * good;
    Movie * goodmovie;
	SoundEffect * bad;
	Movie * badmovie;
	SoundEffect * medium;
	Movie * mediummovie;
};

#endif // !defined(AFX_STATUSCOMM_H__1641D636_1A39_483E_936B_FCD04AA4ABAD__INCLUDED_)
