// StereoSoundEffect3d.h: interface for the StereoSoundEffect3d class.
//
//////////////////////////////////////////////////////////////////////

#if !defined(AFX_STEREOSOUNDEFFECT3D_H__B9418C5D_8236_43C7_9E88_B6B84A1398F3__INCLUDED_)
#define AFX_STEREOSOUNDEFFECT3D_H__B9418C5D_8236_43C7_9E88_B6B84A1398F3__INCLUDED_

#if _MSC_VER >= 1000
#pragma once
#endif // _MSC_VER >= 1000

#include "SoundEffect3d.h"

class StereoSoundEffect3d : public SoundEffect3d  
{
public:
	virtual ~StereoSoundEffect3d();
	StereoSoundEffect3d(SoundSample3d * newsample);
	virtual void stop();
	virtual void setLoop(bool newloop);
	virtual bool isPlaying();
	virtual void play();
	virtual void render();

private:
#ifdef HAS_BASS
	HCHANNEL channel;
#endif
#ifdef HAS_FMOD
	int channel;
#endif
	SoundSample3d * sample;
	bool loop;
};

#endif // !defined(AFX_STEREOSOUNDEFFECT3D_H__B9418C5D_8236_43C7_9E88_B6B84A1398F3__INCLUDED_)
