// SurroundSoundEffect3d.h: interface for the SurroundSoundEffect3d class.
//
//////////////////////////////////////////////////////////////////////

#if !defined(AFX_SURROUNDSOUNDEFFECT3D_H__ABE26B6A_BB23_4CD2_9146_BFF756500D65__INCLUDED_)
#define AFX_SURROUNDSOUNDEFFECT3D_H__ABE26B6A_BB23_4CD2_9146_BFF756500D65__INCLUDED_

#if _MSC_VER >= 1000
#pragma once
#endif // _MSC_VER >= 1000

#include "SoundEffect3d.h"
#include "SoundSample3d.h"

class SurroundSoundEffect3d : public SoundEffect3d  
{
public:
	virtual ~SurroundSoundEffect3d();
	SurroundSoundEffect3d(SoundSample3d * newsample);
	virtual void stop();
	virtual void setLoop(bool newloop);
	virtual bool isPlaying();
	virtual void play();
	virtual void render();

private:
#ifdef HAS_BASS
	HCHANNEL channel;
#endif
	SoundSample3d * sample;
	bool loop;


};

#endif // !defined(AFX_SURROUNDSOUNDEFFECT3D_H__ABE26B6A_BB23_4CD2_9146_BFF756500D65__INCLUDED_)
