// TextOverlay.h: interface for the TextOverlay class.
//
//////////////////////////////////////////////////////////////////////

#if !defined(AFX_TEXTOVERLAY_H__92E331E6_6D50_4B4D_A90E_0613DD6FBDED__INCLUDED_)
#define AFX_TEXTOVERLAY_H__92E331E6_6D50_4B4D_A90E_0613DD6FBDED__INCLUDED_

#if _MSC_VER >= 1000
#pragma once
#endif // _MSC_VER >= 1000

#include <string>

#define TEXTOVERLAY_NUMLINES 3
class TextOverlay  
{
public:
	void setEnabled(bool newenabled);
	bool isEnabled();
	static TextOverlay * getInstance();
	void setText(std::string newtext);
	void render();
	virtual ~TextOverlay();
private:
	TextOverlay();
	static TextOverlay * instance;
	std::string text[TEXTOVERLAY_NUMLINES];
	bool enabled;
};

#endif // !defined(AFX_TEXTOVERLAY_H__92E331E6_6D50_4B4D_A90E_0613DD6FBDED__INCLUDED_)
