// TextureMovieImpl.h: interface for the TextureMovieImpl class.
//
//////////////////////////////////////////////////////////////////////

#if !defined(AFX_TEXTUREMOVIEIMPL_H__B0CDAF05_FB3C_442B_8CC7_3CC90D8CE4A9__INCLUDED_)
#define AFX_TEXTUREMOVIEIMPL_H__B0CDAF05_FB3C_442B_8CC7_3CC90D8CE4A9__INCLUDED_

#if _MSC_VER >= 1000
#pragma once
#endif // _MSC_VER >= 1000

#include "TextureMovie.h"

class TextureMovieImpl : public TextureMovie  
{
public:
	virtual bool isFinished();
	virtual void render();
	virtual void start();
	TextureMovieImpl(Texture ** textures, int numframes, float frame_per_second);
	virtual ~TextureMovieImpl();
private:
	Texture ** textures;
	int numframes;
	TimeValue starttime;
	float framespersecond;
};

#endif // !defined(AFX_TEXTUREMOVIEIMPL_H__B0CDAF05_FB3C_442B_8CC7_3CC90D8CE4A9__INCLUDED_)
