// TrackerMusic.h: interface for the TrackerMusic class.
//
//////////////////////////////////////////////////////////////////////

#if !defined(AFX_TRACKERMUSIC_H__112CC758_237C_4095_A505_CBACD483046D__INCLUDED_)
#define AFX_TRACKERMUSIC_H__112CC758_237C_4095_A505_CBACD483046D__INCLUDED_

#if _MSC_VER >= 1000
#pragma once
#endif // _MSC_VER >= 1000

#include "Music.h"
#ifdef HAS_BASS
#include "bass.h"
#endif

class TrackerMusic : public Music  
{
public:
	virtual bool isPlaying();
	virtual void stop();
	virtual void play();
	TrackerMusic(char filename[], bool repeat);
	virtual ~TrackerMusic();
private:
#ifdef HAS_BASS
   HMUSIC mymusic;
#endif
   bool isplaying;
};

#endif // !defined(AFX_TRACKERMUSIC_H__112CC758_237C_4095_A505_CBACD483046D__INCLUDED_)
