// TurretBallSocket.h: interface for the TurretBallSocket class.
//
//////////////////////////////////////////////////////////////////////

#if !defined(AFX_TURRETBALLSOCKET_H__9B42D799_9FFC_44A0_A78D_3E1CC6B3B1CE__INCLUDED_)
#define AFX_TURRETBALLSOCKET_H__9B42D799_9FFC_44A0_A78D_3E1CC6B3B1CE__INCLUDED_

#if _MSC_VER >= 1000
#pragma once
#endif // _MSC_VER >= 1000

#include "Turret.h"

class TurretBallSocket : public Turret  
{
public:
	virtual void advance();
	 TurretBallSocket(TurretBallSocket & that);
	virtual bool instanceof(char name[]);
	virtual void rotateUp(float percent);
	virtual void rotateSide(float percent);
	virtual void pushBarrelTransform();
	virtual void pushLocalTransform();
	TurretBallSocket(std::string name, mesh * undamaged, mesh * damaged, mesh * newbarrel, int hitpoints,
			   Coordinate translation, Coordinate newheading, Coordinate newup, Coordinate newside,
			   Coordinate bartranslation, Coordinate barnewheading, Coordinate barnewup, Coordinate barnewside,
			   std::vector<mount *> * turretmounts, float cone);
	virtual ~TurretBallSocket();
private:
	float cone;
	Coordinate origheading;

};

#endif // !defined(AFX_TURRETBALLSOCKET_H__9B42D799_9FFC_44A0_A78D_3E1CC6B3B1CE__INCLUDED_)
