// TurretJointed.h: interface for the TurretJointed class.
//
//////////////////////////////////////////////////////////////////////

#if !defined(AFX_TURRETJOINTED_H__C980F446_D2E8_43C5_BA8E_BD510B3913F7__INCLUDED_)
#define AFX_TURRETJOINTED_H__C980F446_D2E8_43C5_BA8E_BD510B3913F7__INCLUDED_

#if _MSC_VER >= 1000
#pragma once
#endif // _MSC_VER >= 1000

#include "Turret.h"

class TurretJointed : public Turret  
{
public:
	virtual void advance();
	 TurretJointed(TurretJointed & that);
	virtual void pushLocalTransform();
	virtual void pushBarrelTransform();
	virtual void rotateSide(float percent);
	virtual void rotateUp(float percent);
	TurretJointed(std::string name, mesh * undamaged, mesh * damaged, mesh * newbarrel, int hitpoints,
			   Coordinate translation, Coordinate newheading, Coordinate newup, Coordinate newside,
			   Coordinate bartranslation, Coordinate barnewheading, Coordinate barnewup, Coordinate barnewside,
			   std::vector<mount *> * turretmounts, Coordinate newconstraint);
	virtual ~TurretJointed();
	virtual bool instanceof(char name [ ]);

private:
	void ai();
	float turret_theta;
	float barrel_theta;
	Coordinate constraint;
	float angularvelocity;
};

#endif // !defined(AFX_TURRETJOINTED_H__C980F446_D2E8_43C5_BA8E_BD510B3913F7__INCLUDED_)
