// WanderBehavior.h: interface for the WanderBehavior class.
//
//////////////////////////////////////////////////////////////////////

#if !defined(AFX_WANDERBEHAVIOR_H__6B23F33D_FAF9_42F3_8973_02F406F61934__INCLUDED_)
#define AFX_WANDERBEHAVIOR_H__6B23F33D_FAF9_42F3_8973_02F406F61934__INCLUDED_

#if _MSC_VER >= 1000
#pragma once
#endif // _MSC_VER >= 1000

#include "AIBehavior.h"
#include "Targetable.h"
#include "coord.h"
#include "Time.h"

class WanderBehavior  : public AIBehavior
{
public:
	virtual void move(Targetable * body, Targetable * target);
 	WanderBehavior();
	virtual ~WanderBehavior();
private:
   TimeValue endtime;
   Coordinate last_steering;
};

#endif // !defined(AFX_WANDERBEHAVIOR_H__6B23F33D_FAF9_42F3_8973_02F406F61934__INCLUDED_)
