// WingmanComm.cpp: implementation of the WingmanComm class.
//
//////////////////////////////////////////////////////////////////////

#include "WingmanComm.h"
#include <string>

using std::string;

//////////////////////////////////////////////////////////////////////
// Construction/Destruction
//////////////////////////////////////////////////////////////////////

WingmanComm::WingmanComm(char name[], char videofile[], char label[])
: StatusComm(name, videofile, label) 
{
  yes_sound   = getSound((char *) (string(name) + "_yes.wav").c_str());
  no_sound = getSound((char *) (string(name) + "_no.wav").c_str());
  ejectsound= getSound((char *) (string(name) + "_eject.wav").c_str());
}

WingmanComm::~WingmanComm()
{

}

void WingmanComm::yes()
{
  playNow(yes_sound, mymovie, name, friendly);
}

void WingmanComm::no()
{
  playNow(no_sound, mymovie, name, friendly);
}

void WingmanComm::eject()
{
 playNow(ejectsound, mymovie, name, friendly);
}
