// WorldOrientedBillboard.h: interface for the WorldOrientedBillboard class.
//
//////////////////////////////////////////////////////////////////////

#if !defined(AFX_WORLDORIENTEDBILLBOARD_H__90EDA2E3_DDF1_4582_B5E7_C3A4C2AFE2E1__INCLUDED_)
#define AFX_WORLDORIENTEDBILLBOARD_H__90EDA2E3_DDF1_4582_B5E7_C3A4C2AFE2E1__INCLUDED_

#include "coord.h"
#include "AbstractBillboard.h"

class Texture;


class WorldOrientedBillboard  : public AbstractBillboard
{
public:
	void setCameraRelative(bool relative);
	void setDesiredUp(Coordinate desiredup);
	virtual void render();
	WorldOrientedBillboard(char filename[], 
		Coordinate relative_location, Coordinate desired_up,
		float width, float height);
	WorldOrientedBillboard(Texture * newtexture, 
		float width, float height);

	virtual ~WorldOrientedBillboard();
private:
   Coordinate desired_up;
   bool camerarelative;
};

#endif // !defined(AFX_WORLDORIENTEDBILLBOARD_H__90EDA2E3_DDF1_4582_B5E7_C3A4C2AFE2E1__INCLUDED_)
