#include <math.h>
#include <stdlib.h>
#include <stdio.h>
#include <iostream.h>
#include "collisionD.h"
#include "worldSpace.h"

collisionD::collisionD() {}

int collisionD::collisionTest(struct collisionStruct obj1,struct collisionStruct obj2) {
  double tmpDouble=0;
  double radius=0;

  tmpDouble=pow((obj1.centerX-obj2.centerX),2)+pow((obj1.centerY-obj2.centerY),2)+pow((obj1.centerZ-obj2.centerZ),2);
  radius=pow((obj1.radius+obj2.radius),2);
//  printf("%e, %e, %e\n", tmpDouble, radius, obj2.maxX);
  if (radius>tmpDouble) {
    return INSIDE;
  }
  else 
    return OUTSIDE;
}

void collisionD::radObj(struct collisionStruct &collisionObj) {
  double tmpDouble=0;

  tmpDouble=(fabs(collisionObj.minX)+fabs(collisionObj.maxX))/2;
  if (tmpDouble>collisionObj.radius)
    collisionObj.radius=tmpDouble;
  tmpDouble=(fabs(collisionObj.minY)+fabs(collisionObj.maxY))/2;
  if (tmpDouble>collisionObj.radius)
    collisionObj.radius=tmpDouble;
  tmpDouble=(fabs(collisionObj.minZ)+fabs(collisionObj.maxZ))/2;
  if (tmpDouble>collisionObj.radius)
    collisionObj.radius=tmpDouble;
}

void collisionD::centerObj(struct collisionStruct &collisionObj) {
  collisionObj.centerX=(collisionObj.minX+collisionObj.maxX)/2;
  collisionObj.centerY=(collisionObj.minY+collisionObj.maxY)/2;
  collisionObj.centerZ=(collisionObj.minZ+collisionObj.maxZ)/2;
}

void collisionD::collisionDetection(struct worldObjs* worldObj1,int maxSize) {
  int collisionVar=0;

  for (int i=0;i<maxSize;i++) {
    if (worldObj1[i].isfree!=0) {
      for (int x=i;x<maxSize;x++) {
        if (worldObj1[x].isfree!=0) {
          if (x==i)
            continue;
          //printf("the center %e",worldObj1[i].collisionObj->centerX);
	       collisionVar=collisionTest(*(worldObj1[i].collisionObj),*(worldObj1[x].collisionObj));
          if (collisionVar==1)
            cout<<"there is collision"<<endl;
        }
      }
    }
  }

}