// meshfile.h: interface for the meshfile class.
//
//////////////////////////////////////////////////////////////////////

#ifndef MESHFILE_H__
#define MESHFILE_H__

#if _MSC_VER >= 1000
#pragma once
#endif // _MSC_VER >= 1000

#include "triangleObj.h"
#include "coord.h"	// Added by ClassView
#include "AbstractMeshFile.h"

class meshfile  : public AbstractMeshFile
{
public:
	virtual Coordinate getExtents();
	virtual Coordinate getcenter();
	virtual float getradius();
	virtual void render();
	meshfile(char filename[]);
	virtual ~meshfile();
private:
   triangleStruct * mesh;
   int ntriangles;
   triangleObj trianglesFunct;   
};

#endif // !defined(AFX_MESHFILE_H__5E04417A_1104_47D6_B521_50F7DA663F79__INCLUDED_)
