// mount.h: interface for the mount class.
//
//////////////////////////////////////////////////////////////////////

#if !defined(AFX_MOUNT_H__2910D540_A543_4142_ACD8_862942DF000F__INCLUDED_)
#define AFX_MOUNT_H__2910D540_A543_4142_ACD8_862942DF000F__INCLUDED_

#if _MSC_VER >= 1000
#pragma once
#endif // _MSC_VER >= 1000

#include "coord.h"
class weapondescription;

class mount  
{
public:
	weapondescription * getWeaponDescription();
	bool isMissile();
	bool hasUnlimitedShots();
	int getNumShotsRemaining();
	void useShot();
	bool hasShotRemaining();
	 mount(Coordinate location, int weaponnumber, int numshots);
	 mount(mount * newmount);
	int getWeaponNumber();
	Coordinate getLocation();
	mount(Coordinate location, int weaponnumber);
	virtual ~mount();
private:
   Coordinate location;
   int weaponnumber;
   int num_shots_total;
   int num_shots_remaining;
};

#endif // !defined(AFX_MOUNT_H__2910D540_A543_4142_ACD8_862942DF000F__INCLUDED_)
