#ifndef _PLAYEROBJ
#define _PLAYEROBJ

#include "collisionD.h"
#include "Object3d.h"
#include "coord.h"

class playerObj : public Object3d{
public:
	virtual Coordinate  getLocation();
	virtual struct collisionStruct* getCollision();
	virtual void decVelocity();
	void incVelocity();
	virtual void setVelocity(float v);
	virtual void  render();
	virtual void rotateright();
	virtual void rotateleft();
	virtual void rotatedown();
	virtual void rotateup();
	virtual void bankright();
	virtual void bankleft();
	virtual void advance();
   playerObj();
private:
  Coordinate lookat;
  double radian(double);
  void viewChangeTranslate (double[]);
  void Rotate(int, char*);
  void createVector(double[],double[],double[],int);
  double createVectorLength(double[],int);
  void forward();
  void update();
  void createCollsionStruct();
  struct collisionStruct* returnCollisionStruct();
  //variables
  double speed;
  int degreeOfRotation[3];
  double viewChange[9];

  struct collisionStruct collisionObj;
};

#endif