// shipfactory.h: interface for the shipfactory class.
//
//////////////////////////////////////////////////////////////////////

#if !defined(AFX_SHIPFACTORY_H__3F47E6C4_F96C_48D5_B034_B370589DE0D3__INCLUDED_)
#define AFX_SHIPFACTORY_H__3F47E6C4_F96C_48D5_B034_B370589DE0D3__INCLUDED_

#if _MSC_VER >= 1000
#pragma once
#endif // _MSC_VER >= 1000

#include "HashTable.h"
#include "shipxmladapter.h"
#include "ship.h"
#include "ShipInfo.h"
#include "mesh.h"

class shipfactory  
{
public:
	void preloadShip(char shipname[]);
	void clear();
	ship * getShip(ShipInfo & info);
	ship * getship(char shipname[]);
	static shipfactory & getshipfactory();

	virtual ~shipfactory();
private:
   static shipfactory theshipfactory;
	shipfactory();
   HashTable ships;
   ship * garbage[300];
   int numships;
};

#endif // !defined(AFX_SHIPFACTORY_H__3F47E6C4_F96C_48D5_B034_B370589DE0D3__INCLUDED_)
