#ifndef triangleDef
#define triangleDef

#include "collisionD.h"
#include "coord.h"

struct triangleStruct {
  Coordinate point1, point2, point3;
  Coordinate normal1, normal2, normal3;
  Coordinate RGB;
};

  
class triangleObj {
public:
  triangleObj();
	int getNumVectors();
  void storeData(char argv[]);
  void inputData(char* readLine, triangleStruct & dataArray);
  void printData(triangleStruct dataArray);
  void boundingBox(char *direction, double coord);
  void createCollsionStruct();
  triangleStruct* returnArray();
  struct triangleStruct *triangleCoord;
  struct collisionStruct returnCollisionStruct();
private:
  int vectorlength;
  struct collisionStruct collisionObj;
  //double centerX,centerY,centerZ;
  //double radius;
};

#endif

