// weaponsxmladapter.h: interface for the weaponsxmladapter class.
//
//////////////////////////////////////////////////////////////////////

#if !defined(AFX_WEAPONSXMLADAPTER_H__53AD5301_A58C_4608_ACC3_E59A69126A8E__INCLUDED_)
#define AFX_WEAPONSXMLADAPTER_H__53AD5301_A58C_4608_ACC3_E59A69126A8E__INCLUDED_

#if _MSC_VER >= 1000
#pragma once
#endif // _MSC_VER >= 1000

#include "HandlerBase.h"
#include "mesh.h"
#include "weapondescription.h"
#include <string>
#include "Color.h"


using std::string;
using namespace SAX;

class weaponsxmladapter : public HandlerBase
{
	public:
		weapondescription * * getweapondescriptions();
   	weaponsxmladapter(char xmlfilename[]);
   	virtual ~weaponsxmladapter();

		virtual void startDocument();
		virtual void endDocument();

		virtual void startElement(const std::string& name, const SAX::AttributeList* atts);
		virtual void endElement(const std::string& name);
		virtual void characters(const std::string& ch);
      int getnumweapons();
   private:
      std::string currentmesh;
      int numweapons;
      float currentrange;
      int currentdamage;    
      weapondescription  ** descriptions;
      int currentweapon;
      float velocity, roll, pitch, yaw, acceleration;
      string currentname;
	  std::string currentimage;
	  std::string currenticon;
      float front, rear, left, right;
      int energy;
	  float width, height;
      int refiredelay;
      int soundindex;
      int locktime;
      bool tracking;
      bool damage_capships;
	  bool damage_turrets;
	  std::string reticlename;
	  std::string reticletype;
	  std::string billboard;
	  std::string exhaust;
	  Color lightcolor;
	  float spoof;
	  int chargetime;
}; // class SimpleHandler



#endif // !defined(AFX_WEAPONSXMLADAPTER_H__53AD5301_A58C_4608_ACC3_E59A69126A8E__INCLUDED_)
