#ifndef _WORLDSPACE
#define _WORLDSPACE

#include "Object3d.h"
#include "collisionD.h"

struct worldObjs {
  struct collisionStruct *collisionObj;
  int isfree;
  int isPlayer;
  Object3d *objPointer;
};

class worldSpace {
public:
  worldSpace(int);
  void addObj(Object3d *obj);
  struct worldObjs* returnStruct();
  int returnSizeWorldObjs();
  int returnMaxSize();
  void render();
  void advance();
private:
  int maxSize;
  int sizeWorldObjs;
  struct worldObjs *worldObjects;
};

#endif